#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_dma, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_get_channel_doorbell_offset, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down_keep_dev, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0x411a45d8, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0x0873d4ee, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0x0e5bbfc7, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0x235ddabb, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0xa37ac14e, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0x718c8abc, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0x1777ea70, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0x10c532dd, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0x31ef323a, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0x7ab938a5, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0xa2c1b503, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0x6727abbc, "_gpl");
SYMBOL_CRC(mhi_notify, 0xd3a91cd5, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0xda9c2041, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0xf34477e5, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0x54179cee, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0xae4c7b96, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0xbbe3c538, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0x467a206b, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0x4e2aeaca, "_gpl");
SYMBOL_CRC(mhi_get_channel_doorbell_offset, 0x9593bc14, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0xf7294043, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0xca390603, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0x36a4c21f, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0x72926e40, "_gpl");
SYMBOL_CRC(mhi_power_down, 0xb1f154e8, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0xbfdd336f, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0xc397f6a2, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0xa28177dc, "_gpl");
SYMBOL_CRC(mhi_device_get, 0xecec7cee, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0x783da0fa, "_gpl");
SYMBOL_CRC(mhi_device_put, 0x8cffc45b, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0xbdd11aa9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xba71775d, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xed580b21, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x4114b1b6, "bpf_trace_run4" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8da0b95, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa36076db, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7c567919, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x8419823f, "finish_wait" },
	{ 0xf56bc2cc, "dma_unmap_page_attrs" },
	{ 0xa1fcee47, "request_firmware" },
	{ 0x76c93765, "trace_event_printf" },
	{ 0xbc0adcae, "device_initialize" },
	{ 0xa165ab61, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x69e8c366, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc8f7d50a, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf6625233, "bpf_trace_run2" },
	{ 0xc9c546a2, "prepare_to_wait_event" },
	{ 0xed9e23ad, "__wake_up" },
	{ 0x6c09ffc4, "event_triggers_call" },
	{ 0xcee2e688, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x7113932f, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9a494a9, "dev_driver_string" },
	{ 0xce9939d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe148aeb1, "dma_map_page_attrs" },
	{ 0x3349fbe1, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x95fb0743, "put_device" },
	{ 0x63aaeef, "trace_event_ignore_this_pid" },
	{ 0x289fa8c4, "sysfs_remove_file_ns" },
	{ 0xd16168fc, "rt_write_unlock" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xf2464832, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5964dfd3, "perf_trace_run_bpf_submit" },
	{ 0x3143902d, "bus_unregister" },
	{ 0xf1b44dc3, "_dev_err" },
	{ 0xca94eae7, "device_wakeup_enable" },
	{ 0x689a49aa, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0xf8afbf48, "dma_alloc_attrs" },
	{ 0x50d0e443, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xde56b1a, "ida_free" },
	{ 0x15539efb, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa8360112, "device_del" },
	{ 0x30383cea, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4348159a, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0xfb258442, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x45e13840, "rt_read_lock" },
	{ 0x731e0555, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x475643f2, "trace_event_buffer_reserve" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa5c8051a, "rt_read_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x4ddacc97, "rt_write_lock" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xe71172eb, "driver_register" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0x637e5a0e, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5A6799FF7734A934FCE082B");
MODULE_INFO(rhelversion, "9.6");
