#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_root, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(put_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_get_perf_coordinates, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_update_perf, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_event_trace_record, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_reset_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_commit_reap, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0x8e253e14, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0xe75707b4, "_gpl");
SYMBOL_CRC(is_root_decoder, 0x31fec2e7, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0x81ab00a2, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x0fb4233b, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x2e32cbe2, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x53c65489, "_gpl");
SYMBOL_CRC(is_cxl_port, 0xbfaa8359, "_gpl");
SYMBOL_CRC(to_cxl_port, 0xad692b8e, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0xff801d72, "_gpl");
SYMBOL_CRC(devm_cxl_add_root, 0xf6034c82, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0x7d18908e, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0x6dcb0b44, "_gpl");
SYMBOL_CRC(find_cxl_root, 0xe0e2249e, "_gpl");
SYMBOL_CRC(put_cxl_root, 0x08d7cc83, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0x0310bdeb, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0x205def64, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x9db4c6f2, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0x03bbb5b4, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0x8498a6c1, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0x30ad3817, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0xc01a2e05, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x97d2688d, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0x1cda82be, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0xcb9c1878, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0x1a808d9a, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0x64416776, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0x8953c0c2, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x7c70cccc, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0xe7d6942c, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0x1abc27ab, "_gpl");
SYMBOL_CRC(cxl_endpoint_get_perf_coordinates, 0x1d90cde2, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0x7b54749b, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0x94db57fa, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0x0e851b33, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0x6e45bf15, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0x90d1ba58, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0x84b8fc18, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0x7235d43a, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0x11c84bfa, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x07c370e3, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0xea187783, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0xa4179b5c, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x96aa2c3e, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0x2836c45d, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0xb57e4d55, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0xf1c243f9, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0x20033b08, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0xdb93166d, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0xa085488f, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0x3bf542b5, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0x4546fe9a, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x4babecbc, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0x294f11f5, "_gpl");
SYMBOL_CRC(cxl_memdev_update_perf, 0xaa996827, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x9d69670f, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x8f6fb9f3, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0xea672d5b, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0xb6aed7ae, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0x3788eb3e, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0xb61c3e58, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0xd9ee9b34, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0x316fb34f, "_gpl");
SYMBOL_CRC(cxl_event_trace_record, 0x961fe871, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0x872cef0c, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x79ed9af7, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0x2a90deb3, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0xed795fa7, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0x40c21bf3, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0x59611386, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0x73267fa5, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0x7b678990, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0x53b84f8e, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0x118ac74d, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x48087623, "_gpl");
SYMBOL_CRC(read_cdat_data, 0xf36644ee, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0xe3f97d9b, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0xab7d7af8, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_reset_detected, 0x0da10240, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0xd3e5ce73, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0x27642a30, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0xac743c3f, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0xcdc312e5, "_gpl");
SYMBOL_CRC(cxl_port_commit_reap, 0x34056ff4, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0xb426b986, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0x48a9af6b, "_gpl");
SYMBOL_CRC(cxl_endpoint_parse_cdat, 0x59bc7714, "_gpl");
SYMBOL_CRC(cxl_switch_parse_cdat, 0xb2288158, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x35dd5210, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0xbab8c37a, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0x9361675f, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0x90943850, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x638d38f4, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xba71775d, "ida_alloc_range" },
	{ 0x2fe01cd8, "pcie_capability_read_word" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x884a1c0a, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x4114b1b6, "bpf_trace_run4" },
	{ 0x437a790d, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8b7c7576, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc4680fde, "einj_cxl_is_initialized" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xa36076db, "dev_set_name" },
	{ 0x68a1ff77, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7c567919, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x70471346, "cdev_device_del" },
	{ 0x3c18d3e, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0x8587577c, "device_unregister" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x76c93765, "trace_event_printf" },
	{ 0x547d5eb6, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0xbc0adcae, "device_initialize" },
	{ 0xa165ab61, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x69e8c366, "pcpu_hot" },
	{ 0x6ceedbdc, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xc8f7d50a, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf6625233, "bpf_trace_run2" },
	{ 0x36173c1d, "phys_to_target_node" },
	{ 0x6c09ffc4, "event_triggers_call" },
	{ 0xae8ac792, "hmat_update_target_coordinates" },
	{ 0x32648877, "devm_remove_action" },
	{ 0x9856fd7b, "acpi_node_backed_by_real_pxm" },
	{ 0xcee2e688, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x7113932f, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xa770832, "register_memory_notifier" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5c0d9d5f, "platform_bus" },
	{ 0x9a494a9, "dev_driver_string" },
	{ 0xce9939d, "trace_event_buffer_commit" },
	{ 0xa2767c6c, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdea67fb4, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0x902c0490, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0x95fb0743, "put_device" },
	{ 0x63aaeef, "trace_event_ignore_this_pid" },
	{ 0xd4625fc8, "cdat_table_parse" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x50468104, "bus_for_each_dev" },
	{ 0xa4d9f58, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9ce65285, "compat_ptr_ioctl" },
	{ 0x14e54aba, "debugfs_attr_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5964dfd3, "perf_trace_run_bpf_submit" },
	{ 0x13e49cd1, "sysfs_update_group" },
	{ 0x3143902d, "bus_unregister" },
	{ 0xe906823c, "down_write" },
	{ 0xceb3abfe, "devm_kfree" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0xf1b44dc3, "_dev_err" },
	{ 0x61520178, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x7bdc868f, "debugfs_create_bool" },
	{ 0x5e8063b, "bus_find_device" },
	{ 0x689a49aa, "device_add" },
	{ 0x3a81dd16, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xbe4fa0b3, "simple_attr_release" },
	{ 0xc6faee7, "xa_load" },
	{ 0x34b51f05, "noop_llseek" },
	{ 0x77182c7b, "bpf_trace_run5" },
	{ 0xcd8ed467, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0x75d2259d, "kernfs_find_and_get_ns" },
	{ 0xafe7e306, "debugfs_remove" },
	{ 0x40f8071c, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x50d0e443, "trace_event_reg" },
	{ 0xde56b1a, "ida_free" },
	{ 0x15539efb, "driver_unregister" },
	{ 0x7c8a1fba, "pcie_link_speed_mbps" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdf470d80, "device_find_child" },
	{ 0x4cbb391a, "mutex_lock_interruptible" },
	{ 0x725f58df, "devm_release_action" },
	{ 0xa8360112, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x75897201, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0x30383cea, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6cb616fa, "device_for_each_child_reverse_from" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x14029b51, "bus_rescan_devices" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd9b689a9, "down_read" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0x5ca3a5a7, "__xa_insert" },
	{ 0xdb185435, "xa_erase" },
	{ 0xfb258442, "bpf_trace_run3" },
	{ 0x3e39e74, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x55c77741, "debugfs_create_file" },
	{ 0xa403e0cc, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x475643f2, "trace_event_buffer_reserve" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0x9e5c57f0, "down_write_killable" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x41a4ab5e, "einj_cxl_available_error_type_show" },
	{ 0x39d33384, "xa_destroy" },
	{ 0x30482675, "xa_find" },
	{ 0x35779c0c, "kernfs_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xc9e2ab9b, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xad63cdeb, "seq_printf" },
	{ 0x5dd0d78, "device_match_name" },
	{ 0x87d07c59, "einj_cxl_inject_error" },
	{ 0xc34703b2, "einj_cxl_inject_rch_error" },
	{ 0x8e9e7332, "single_release" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0xd15a65ee, "pci_walk_bus" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0x5595bf60, "xa_find_after" },
	{ 0xaa42da56, "node_set_perf_attrs" },
	{ 0x62b165fd, "__devm_add_action" },
	{ 0x45d63432, "pci_find_dvsec_capability" },
	{ 0x7fe34a4c, "device_find_child_by_name" },
	{ 0xe154d1d6, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xa6602c49, "single_open" },
	{ 0x50a1dd5b, "pci_write_config_word" },
	{ 0xb4e7c40a, "debugfs_create_dir" },
	{ 0x1323b58a, "pcie_bandwidth_available" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x856f2b71, "up_read" },
	{ 0xe71172eb, "driver_register" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xcb6d0d9b, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x97975213, "pci_bus_type" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x637e5a0e, "bus_register" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "einj");


MODULE_INFO(srcversion, "4FE4ADD3194255382413754");
MODULE_INFO(rhelversion, "9.6");
