#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_set_powered, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_pack, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_panel_dp_aux_backlight, "", "");
KSYMTAB_FUNC(drm_dp_bw_overhead, "", "");
KSYMTAB_FUNC(drm_dp_bw_channel_coding_efficiency, "", "");
KSYMTAB_FUNC(drm_dp_max_dprx_data_rate, "", "");
KSYMTAB_FUNC(drm_dp_encode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_decode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_dump_sideband_msg_req_body, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_port_downstream_of_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check_mgr, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_dp_cec_irq, "", "");
KSYMTAB_FUNC(drm_dp_cec_attach, "", "");
KSYMTAB_FUNC(drm_dp_cec_set_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_unset_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_register_connector, "", "");
KSYMTAB_FUNC(drm_dp_cec_unregister_connector, "", "");

SYMBOL_CRC(drm_dp_dual_mode_read, 0x74f48007, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0x8c5d22b4, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0xe56eb8e1, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0x7649b6d7, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0x8aa3b2d5, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0xe9e4ca42, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0xadb0eca7, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0xa232a10e, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0x1ea26b51, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0xa331847c, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0xafa0d45e, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0xec5a9b4f, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0xffd292c5, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0x8b8b00a5, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0x79b6d44b, "");
SYMBOL_CRC(drm_dp_dpcd_set_powered, 0xa4931955, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0x76c03009, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0xcb9094e2, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0x73f58bba, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0x0c1ef29d, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0xe888c462, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0x74912917, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0xbc0b654d, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0xb79f7c43, "");
SYMBOL_CRC(drm_dp_downstream_id, 0x25e37b57, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0x64799b56, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0x1366413e, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0x152d73e7, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0xab59674c, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0x52bfd3b3, "");
SYMBOL_CRC(drm_dp_aux_init, 0xf07999eb, "");
SYMBOL_CRC(drm_dp_aux_register, 0x5eb90d25, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0xa1fbda54, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0x16b4f957, "");
SYMBOL_CRC(drm_dp_stop_crc, 0xaa784da5, "");
SYMBOL_CRC(drm_dp_read_desc, 0x14083959, "");
SYMBOL_CRC(drm_dp_dsc_sink_bpp_incr, 0xf48bbedf, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0x4f566f2e, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0x549ec9a3, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0xbd8bef31, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0xcb853093, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0xb0846525, "");
SYMBOL_CRC(drm_dp_vsc_sdp_supported, 0x78cfdd59, "");
SYMBOL_CRC(drm_dp_vsc_sdp_pack, 0xb9234c4d, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0x5f9df617, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0x516165a7, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0x55415cab, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0x9af9b749, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0x9b1f13a6, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0xa6ef34fe, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0xd0e04fa4, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0xfdf030e5, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0xc78b2581, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0x82c6045f, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0x2bd0d0a6, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0xf156113a, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0x2dea664f, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0xe18b2f66, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0x2eb37fab, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0x210ca4e8, "");
SYMBOL_CRC(drm_edp_backlight_init, 0x8669451d, "");
SYMBOL_CRC(drm_panel_dp_aux_backlight, 0xc42a6970, "");
SYMBOL_CRC(drm_dp_bw_overhead, 0x3dc887bf, "");
SYMBOL_CRC(drm_dp_bw_channel_coding_efficiency, 0x0504c682, "");
SYMBOL_CRC(drm_dp_max_dprx_data_rate, 0x0f6b8a63, "");
SYMBOL_CRC(drm_dp_encode_sideband_req, 0x360569c1, "");
SYMBOL_CRC(drm_dp_decode_sideband_req, 0x65001d52, "");
SYMBOL_CRC(drm_dp_dump_sideband_msg_req_body, 0xdbda6fa2, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0x66c882ce, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0x8aa96519, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0x73669147, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0xfa69d70d, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0xa62ba187, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0xbb2035df, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0xa1aa0129, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0x278caf75, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0x7dbe9314, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0xa0cb242b, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0x5cb15c18, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0x6d849df6, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0xc6807202, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0x080cedac, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0x64105fbc, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0x79034a67, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0xd0a9525c, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0xc3c50905, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0x4758a895, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0x230c87da, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0xd9c097c7, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0x10ea9b67, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0x9c56588f, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0x716db5d7, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0x872cb295, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0x688fff67, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0x32ca1e96, "");
SYMBOL_CRC(drm_dp_check_act_status, 0x10ed6944, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0x6c1bc571, "");
SYMBOL_CRC(drm_dp_mst_port_downstream_of_parent, 0xde1f0993, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0xeeb5f831, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0xca427367, "");
SYMBOL_CRC(drm_dp_mst_atomic_check_mgr, 0xa4bfa566, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0x72049dcd, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0x6056b50a, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0xf9c7c87c, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0x51d4e794, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0xadf03ecd, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0xefa214c2, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0xe19623f5, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0xb81c903d, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_dp_cec_irq, 0xa023b84b, "");
SYMBOL_CRC(drm_dp_cec_attach, 0xf458d691, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0x771673d2, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0x8d7a1a11, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0x5fada380, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0xa07c339b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb1dd88f2, "drm_crtc_add_crc_entry" },
	{ 0xa7ba5c1a, "cec_delete_adapter" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x33163b96, "_copy_to_iter" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x9266ac4d, "idr_find" },
	{ 0x74c9c4e9, "drm_connector_register" },
	{ 0xf248efa1, "cec_transmit_attempt_done_ts" },
	{ 0xe2f917de, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x8b7c7576, "devm_kmalloc" },
	{ 0x96c49e1e, "drm_atomic_get_private_obj_state" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1ab5d60a, "__drm_printfn_dbg" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x8419823f, "finish_wait" },
	{ 0x95bc1c67, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4dc75b97, "class_destroy" },
	{ 0x7b872a36, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x43147f96, "cec_s_conn_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x69e8c366, "pcpu_hot" },
	{ 0x57e6f878, "drm_edid_duplicate" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc9c546a2, "prepare_to_wait_event" },
	{ 0xa19bd341, "drm_connector_unregister" },
	{ 0xed9e23ad, "__wake_up" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x70d381e, "drm_mode_object_put" },
	{ 0x9a494a9, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0x3493c7f4, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xcdf36acb, "drm_atomic_private_obj_fini" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x843a0c6d, "idr_get_next" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x279b8109, "drm_dev_printk" },
	{ 0x2b5980fa, "i2c_del_adapter" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x91a7e4b2, "__var_waitqueue" },
	{ 0x39d45d37, "drm_atomic_get_crtc_state" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfd9a322b, "drm_crtc_wait_one_vblank" },
	{ 0x420efb81, "idr_remove" },
	{ 0x52baf9a3, "drm_modeset_lock" },
	{ 0xfb09c161, "drm_modeset_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf1b44dc3, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xa6666f1e, "idr_alloc" },
	{ 0x43e93acd, "device_create" },
	{ 0x7d0713de, "class_create" },
	{ 0x3e0d71d4, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xe12afbac, "fixed_size_llseek" },
	{ 0x47737920, "drm_crtc_commit_wait" },
	{ 0x87269bc7, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf8ceca29, "cec_unregister_adapter" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x657d9d0, "drm_atomic_get_old_private_obj_state" },
	{ 0x890442c1, "__drm_dev_dbg" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xbe4de675, "cec_get_edid_phys_addr" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4348159a, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x5f3e2dd3, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x1e589fa1, "mutex_trylock" },
	{ 0xce9c9238, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfb83d454, "cec_allocate_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x29a0c21b, "drm_object_property_set_value" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xd803a217, "drm_kms_helper_hotplug_event" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xe37d278e, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5923834, "device_destroy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xad63cdeb, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x468952f0, "_copy_from_iter" },
	{ 0x1709f64, "i2c_transfer" },
	{ 0x6a315e12, "drm_display_mode_from_cea_vic" },
	{ 0x251cbf2e, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1ee03e0b, "cec_fill_conn_info_from_drm" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0x3e02c92d, "cec_received_msg_ts" },
	{ 0x8dac2b5b, "param_ops_int" },
	{ 0xd90cf0f5, "iov_iter_revert" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0xbaceae26, "devm_backlight_device_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0x683fdb70, "drm_atomic_get_connector_state" },
	{ 0x8618e5a, "drm_edid_get_monitor_name" },
	{ 0x846deb1, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2d993467, "cec_register_adapter" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "drm,cec,drm_kms_helper");


MODULE_INFO(srcversion, "D1E52567C0377B3D21B6E5C");
MODULE_INFO(rhelversion, "9.6");
