#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(devm_aperture_acquire_from_firmware, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_framebuffers, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_pci_framebuffers, "", "");
KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_fixup, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_edid_read, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_are_equal, "", "");
KSYMTAB_FUNC(drm_edid_block_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_do_get_edid, "_gpl", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_edid_is_digital, "", "");
KSYMTAB_FUNC(drm_eld_sad_get, "", "");
KSYMTAB_FUNC(drm_eld_sad_set, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(mock_drm_getfile, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_internal_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_release_action, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_replace_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_dbg, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(___drm_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob_from_id, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_prandom_u32_max_state, "", "");
KSYMTAB_FUNC(drm_random_reorder, "", "");
KSYMTAB_FUNC(drm_random_order, "", "");
KSYMTAB_FUNC(drm_compat_ioctl, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_of_backlight, "", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");

SYMBOL_CRC(devm_aperture_acquire_from_firmware, 0x67d9921d, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_framebuffers, 0x7155a268, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_pci_framebuffers, 0x07ec57a4, "");
SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0x47737920, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0xf43c5197, "");
SYMBOL_CRC(drm_atomic_state_init, 0x7006ee9a, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0x0a79f97a, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0xb95524c6, "");
SYMBOL_CRC(drm_atomic_state_clear, 0xd322b9d5, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0x39d45d37, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0x46df941a, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0x95bc1c67, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0xcdf36acb, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0x96c49e1e, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0x0657d9d0, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0x87269bc7, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0x01f307c5, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0x808245d2, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0x805a5ba4, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0x8a08f3b6, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0x683fdb70, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0xa52a8faf, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0x01f62c44, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0xf2450fa4, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0xb3f1f8e5, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0x52bf556f, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0xb787b0e0, "");
SYMBOL_CRC(drm_atomic_check_only, 0x34f8298b, "");
SYMBOL_CRC(drm_atomic_commit, 0x9375a114, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0x273db0c7, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0x204e9a87, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0x6a37d24a, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0x61636b6d, "");
SYMBOL_CRC(drm_state_dump, 0x8e2c4c6a, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0x84b5e637, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0xb800cb13, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0x3026d4f1, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0x5e94a698, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0x34eae109, "");
SYMBOL_CRC(drm_is_current_master, 0x14486699, "");
SYMBOL_CRC(drm_master_get, 0x76dad842, "");
SYMBOL_CRC(drm_file_get_master, 0x0e175926, "");
SYMBOL_CRC(drm_master_put, 0x770ebe31, "");
SYMBOL_CRC(drm_master_internal_acquire, 0x9f5ae476, "");
SYMBOL_CRC(drm_master_internal_release, 0x4ffba1ed, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0x09630ce0, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0xef84391c, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0x1cb8f1a0, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0x51c9925e, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0x54c8bcc9, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0x87f28a90, "");
SYMBOL_CRC(drm_bridge_add, 0xe891aa2b, "");
SYMBOL_CRC(devm_drm_bridge_add, 0xf2962b35, "");
SYMBOL_CRC(drm_bridge_remove, 0x15f0e153, "");
SYMBOL_CRC(drm_bridge_attach, 0x36fb609a, "");
SYMBOL_CRC(drm_bridge_chain_mode_fixup, 0x6341fb87, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0x356eea07, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0x920d89fa, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0xf0541564, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0x6a52addc, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0x14223f31, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0xa0075b48, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0x5093558d, "");
SYMBOL_CRC(drm_bridge_detect, 0x3202e738, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0x975f6ab0, "_gpl");
SYMBOL_CRC(drm_bridge_edid_read, 0xfbbf76f1, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0x3358f916, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0x27531598, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0x4648c199, "_gpl");
SYMBOL_CRC(drm_clflush_pages, 0x44daf23b, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_client_init, 0x87275e34, "");
SYMBOL_CRC(drm_client_register, 0x0b0b73e6, "");
SYMBOL_CRC(drm_client_release, 0xb11d15d3, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0xf85a3a9f, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0x9d2f2558, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0x91b19e35, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0x0bfbf73d, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0x8bf300d6, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0xaaef83f4, "");
SYMBOL_CRC(drm_client_modeset_probe, 0x40889190, "");
SYMBOL_CRC(drm_client_rotation, 0x445672eb, "");
SYMBOL_CRC(drm_client_modeset_check, 0x4c7c823a, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0xeac1d7cb, "");
SYMBOL_CRC(drm_client_modeset_commit, 0xd0fd196f, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0x36775754, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0xc76c82cd, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0xf4a7481c, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0xfc7c8bbd, "");
SYMBOL_CRC(drm_color_lut_check, 0xb20590a7, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0x5a5b26cb, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0xad7f77fb, "");
SYMBOL_CRC(drmm_connector_init, 0x282a5721, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0xdd175645, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0xbcf44b0f, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0x8f3a8ac7, "");
SYMBOL_CRC(drm_connector_cleanup, 0xe0feded0, "");
SYMBOL_CRC(drm_connector_register, 0x74c9c4e9, "");
SYMBOL_CRC(drm_connector_unregister, 0xa19bd341, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0x09c73de6, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0x4209b8d1, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0xb603a5f4, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0xd4099a0b, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xf095dc96, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0xc19c6c5b, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0x59ccbdc6, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0xaa002326, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0x49cb0d8a, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0x148f497d, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0x5c195deb, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0x3f4d7b7d, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0x8223324d, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0xb3deea37, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0x5eadd499, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0x66fce281, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0xbb9f30ce, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0xd45a72ef, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0x3d239d3e, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0x3f25cee1, "");
SYMBOL_CRC(drm_connector_set_path_property, 0xb11a3180, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0x09b4917a, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0x3ad6734f, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0x414f9e8c, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0x2cb0df62, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0xe2618a2d, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0x06835c98, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0x9efd1591, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0x8ae0a338, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0x33df8b29, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0xef725c78, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0xb9fe6a4e, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0xbb23f650, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0xac0cb978, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0xdb3532e1, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0xffb84248, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0x522678ca, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0xc9d99c4f, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0x30e308dd, "");
SYMBOL_CRC(drm_crtc_from_index, 0x701e90f0, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0x9a0a9776, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0x4d368280, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0x09c7d458, "");
SYMBOL_CRC(drm_crtc_cleanup, 0x669b0575, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0x5596994a, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0xea9fe1b3, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0xb1462850, "");
SYMBOL_CRC(drm_put_dev, 0x990a3cdf, "");
SYMBOL_CRC(drm_dev_enter, 0x0610470e, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0xd7343e8d, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0xb03116e5, "");
SYMBOL_CRC(drm_dev_alloc, 0x790f603a, "");
SYMBOL_CRC(drm_dev_get, 0xec749f7e, "");
SYMBOL_CRC(drm_dev_put, 0xfc76e0aa, "");
SYMBOL_CRC(drm_dev_register, 0xdfb1c0e1, "");
SYMBOL_CRC(drm_dev_unregister, 0xeec26b1d, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_are_equal, 0x944bbdae, "");
SYMBOL_CRC(drm_edid_block_valid, 0xd13f9985, "");
SYMBOL_CRC(drm_edid_is_valid, 0xa6b32156, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0x1b4e8ce8, "");
SYMBOL_CRC(drm_do_get_edid, 0x48042764, "_gpl");
SYMBOL_CRC(drm_edid_raw, 0x5f3e2dd3, "");
SYMBOL_CRC(drm_edid_alloc, 0x79c00fa2, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0xddea29ac, "");
SYMBOL_CRC(drm_get_edid, 0xafed2dd4, "");
SYMBOL_CRC(drm_edid_read_custom, 0x8c082488, "");
SYMBOL_CRC(drm_edid_read_ddc, 0x0846deb1, "");
SYMBOL_CRC(drm_edid_read, 0x096f5047, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0x6c5e37cc, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0x5cceb601, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0xc5620497, "");
SYMBOL_CRC(drm_edid_duplicate, 0x57e6f878, "");
SYMBOL_CRC(drm_mode_find_dmt, 0xe75e955b, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0x6a315e12, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x08618e5a, "");
SYMBOL_CRC(drm_edid_to_sad, 0x755623d5, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x3022c924, "");
SYMBOL_CRC(drm_av_sync_delay, 0xeec24f59, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0xa51708dc, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0x946f25f1, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0xd6bd1b3b, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0x67f6651a, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0x7b4f8eb5, "");
SYMBOL_CRC(drm_add_edid_modes, 0x3c0f02b5, "");
SYMBOL_CRC(drm_add_modes_noedid, 0x847a193c, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0x4e9262a2, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0x89d43cc0, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0xa82716dd, "");
SYMBOL_CRC(drm_edid_is_digital, 0xc518d486, "");
SYMBOL_CRC(drm_eld_sad_get, 0xe8fa400a, "");
SYMBOL_CRC(drm_eld_sad_set, 0xc53a8214, "");
SYMBOL_CRC(drm_encoder_init, 0x704b094b, "");
SYMBOL_CRC(drm_encoder_cleanup, 0x211217ed, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0x30cd909f, "");
SYMBOL_CRC(drmm_encoder_init, 0xb6dca60e, "");
SYMBOL_CRC(drm_open, 0xb7926214, "");
SYMBOL_CRC(drm_release, 0xe010789f, "");
SYMBOL_CRC(drm_release_noglobal, 0xa73140fb, "");
SYMBOL_CRC(drm_read, 0xf6d4b8f5, "");
SYMBOL_CRC(drm_poll, 0x5a4006e5, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0x38849f85, "");
SYMBOL_CRC(drm_event_reserve_init, 0x9cfe60ab, "");
SYMBOL_CRC(drm_event_cancel_free, 0xe875bfca, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0x5bf6f44d, "");
SYMBOL_CRC(drm_send_event_locked, 0x6b379bc1, "");
SYMBOL_CRC(drm_send_event, 0xc2059b76, "");
SYMBOL_CRC(drm_print_memory_stats, 0xb9393302, "");
SYMBOL_CRC(drm_show_memory_stats, 0x7a2462ee, "");
SYMBOL_CRC(drm_show_fdinfo, 0xa64a435a, "");
SYMBOL_CRC(mock_drm_getfile, 0x34263eed, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0x0ec7a4ed, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0x1c05d5a5, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_internal_framebuffer_create, 0xa5489ac6, "");
SYMBOL_CRC(drm_framebuffer_init, 0x9a097bf8, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0x2537f302, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0x84e34dac, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0x34edeab2, "");
SYMBOL_CRC(drm_framebuffer_remove, 0x59ec20b9, "");
SYMBOL_CRC(drm_gem_object_init, 0x5ab45d96, "");
SYMBOL_CRC(drm_gem_private_object_init, 0x784c2d22, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0x1bb162d6, "");
SYMBOL_CRC(drm_gem_handle_delete, 0xecda3322, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0x26881a90, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0x40fe13b7, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0x851c398c, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0x85f4cd97, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0x058039ed, "");
SYMBOL_CRC(drm_gem_get_pages, 0x41be5e32, "");
SYMBOL_CRC(drm_gem_put_pages, 0xd5b6de91, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0x365bd58c, "");
SYMBOL_CRC(drm_gem_object_lookup, 0x42720401, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0x2ff992df, "");
SYMBOL_CRC(drm_gem_object_release, 0x3cebd8ae, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0x768c792f, "");
SYMBOL_CRC(drm_gem_vm_close, 0xe4ff4221, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0x19dcf13f, "");
SYMBOL_CRC(drm_gem_mmap, 0xe6abfb08, "");
SYMBOL_CRC(drm_gem_vmap, 0x7c72cb62, "");
SYMBOL_CRC(drm_gem_vunmap, 0xd24eea1a, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0x59a5e754, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0x6bd75be9, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0x7cc3049f, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0x20c0438a, "");
SYMBOL_CRC(drm_gem_lru_init, 0xdf9e5885, "");
SYMBOL_CRC(drm_gem_lru_remove, 0xbc89d184, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0x47065ae1, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0xcf59e190, "");
SYMBOL_CRC(drm_gem_lru_scan, 0x051824b1, "");
SYMBOL_CRC(drm_gem_evict, 0xa5c7dc90, "");
SYMBOL_CRC(drm_noop, 0xe992ed8c, "");
SYMBOL_CRC(drm_invalid_op, 0x69051ec6, "");
SYMBOL_CRC(drm_ioctl_kernel, 0x04dba984, "");
SYMBOL_CRC(drm_ioctl, 0x9b34f161, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0x2d86c9aa, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0xa0977158, "");
SYMBOL_CRC(drmm_release_action, 0x62c9f05d, "");
SYMBOL_CRC(drmm_kmalloc, 0x40b919e2, "");
SYMBOL_CRC(drmm_kstrdup, 0x477eb365, "_gpl");
SYMBOL_CRC(drmm_kfree, 0x417e8060, "");
SYMBOL_CRC(__drmm_mutex_release, 0xe1a73a1d, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_replace_node, 0x59056243, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x07e00176, "");
SYMBOL_CRC(drm_mode_config_reset, 0xe346ceb5, "");
SYMBOL_CRC(drmm_mode_config_init, 0x8c137cea, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0x92e53dd6, "");
SYMBOL_CRC(drm_mode_object_find, 0x8d52fa50, "");
SYMBOL_CRC(drm_mode_object_put, 0x070d381e, "");
SYMBOL_CRC(drm_mode_object_get, 0x0949ffa8, "");
SYMBOL_CRC(drm_object_attach_property, 0x95ee3049, "");
SYMBOL_CRC(drm_object_property_set_value, 0x29a0c21b, "");
SYMBOL_CRC(drm_object_property_get_value, 0xf0ee7487, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0xbe897c5e, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0x5d38cadb, "");
SYMBOL_CRC(drm_mode_destroy, 0xb1611c09, "");
SYMBOL_CRC(drm_mode_probed_add, 0x95ef466a, "");
SYMBOL_CRC(drm_analog_tv_mode, 0x46a66b72, "");
SYMBOL_CRC(drm_cvt_mode, 0xf6cd8c2a, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0x7cbbd5ad, "");
SYMBOL_CRC(drm_gtf_mode, 0x3c61d9eb, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0xaa6a75d2, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0x2c107fa5, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0xcc9ae763, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0xf9b88f5a, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0x170c360a, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0x99f9aba7, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0x5a2a6653, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe7a9ecea, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xace169b3, "");
SYMBOL_CRC(drm_mode_is_420, 0x784d6883, "");
SYMBOL_CRC(drm_set_preferred_mode, 0xf3b559dd, "");
SYMBOL_CRC(drm_modeset_lock_all, 0xd64be9da, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0x781cd192, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0x443fba6a, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0xbd9cbe14, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0xf9d34fb3, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0x8a3a46a5, "");
SYMBOL_CRC(drm_modeset_backoff, 0xca3f9d84, "");
SYMBOL_CRC(drm_modeset_lock_init, 0xd99f61d5, "");
SYMBOL_CRC(drm_modeset_lock, 0x52baf9a3, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0x3e0d71d4, "");
SYMBOL_CRC(drm_modeset_unlock, 0xfb09c161, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0x53552882, "");
SYMBOL_CRC(drm_universal_plane_init, 0xb75e5cda, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0x1124b42d, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0x5630a4c2, "");
SYMBOL_CRC(drm_plane_cleanup, 0xc16bf834, "");
SYMBOL_CRC(drm_plane_from_index, 0xa6547ad6, "");
SYMBOL_CRC(drm_plane_force_disable, 0xa68393d0, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0xa036c9da, "");
SYMBOL_CRC(drm_any_plane_has_format, 0x39712334, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0xd922c694, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0x5b6e4dd2, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0x704e7c4f, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0x3278166c, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0x4a61e62b, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0xf68fc5b9, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0xa736a08f, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0xf503c8d9, "");
SYMBOL_CRC(drm_gem_map_attach, 0x4343d929, "");
SYMBOL_CRC(drm_gem_map_detach, 0x90d0c3ac, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0x3f5b6c8a, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0xd7ec899f, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0x13279266, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0x05a2817c, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0x0ce0feff, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0xe0a2e303, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0x45f5d8bf, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0x127b2e94, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0x0eb40b56, "");
SYMBOL_CRC(drm_gem_prime_import, 0xc8bacc80, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0xac11ad50, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0x90647a0b, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0x114c1ccc, "");
SYMBOL_CRC(__drm_printfn_coredump, 0xdddcbca6, "");
SYMBOL_CRC(__drm_puts_seq_file, 0x65b962a9, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0x21475af8, "");
SYMBOL_CRC(__drm_printfn_info, 0x470cac07, "");
SYMBOL_CRC(__drm_printfn_dbg, 0x1ab5d60a, "");
SYMBOL_CRC(__drm_printfn_err, 0x8c7724de, "");
SYMBOL_CRC(drm_puts, 0x4d8b5a5b, "");
SYMBOL_CRC(drm_printf, 0xd2d42a9f, "");
SYMBOL_CRC(drm_print_bits, 0x2d8c3645, "");
SYMBOL_CRC(drm_dev_printk, 0x279b8109, "");
SYMBOL_CRC(__drm_dev_dbg, 0x890442c1, "");
SYMBOL_CRC(___drm_dbg, 0x7e3277f8, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0x546520a3, "");
SYMBOL_CRC(drm_property_create, 0x9c662ae4, "");
SYMBOL_CRC(drm_property_create_enum, 0x5a71ba52, "");
SYMBOL_CRC(drm_property_create_bitmask, 0x73fd1982, "");
SYMBOL_CRC(drm_property_create_range, 0xbc8079e1, "");
SYMBOL_CRC(drm_property_create_signed_range, 0x6ef9d49c, "");
SYMBOL_CRC(drm_property_create_object, 0x3be624de, "");
SYMBOL_CRC(drm_property_create_bool, 0xac4abf3a, "");
SYMBOL_CRC(drm_property_add_enum, 0x731fd789, "");
SYMBOL_CRC(drm_property_destroy, 0x7081955d, "");
SYMBOL_CRC(drm_property_create_blob, 0xb6ec8f76, "");
SYMBOL_CRC(drm_property_blob_put, 0x3392351a, "");
SYMBOL_CRC(drm_property_blob_get, 0xd93e7a03, "");
SYMBOL_CRC(drm_property_lookup_blob, 0x6caa52fd, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0x46b6423c, "");
SYMBOL_CRC(drm_property_replace_blob, 0x84f69426, "");
SYMBOL_CRC(drm_property_replace_blob_from_id, 0x971ac4b7, "");
SYMBOL_CRC(drm_syncobj_find, 0xba8e3dbb, "");
SYMBOL_CRC(drm_syncobj_add_point, 0x3fa7441d, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0xc23e1778, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0xf6243b61, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0x8bd1eb15, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0xdd94f8ed, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0x76340148, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0x8ac06bcf, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0x91b744fb, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0x6d87cde6, "");
SYMBOL_CRC(drm_class_device_register, 0x44ca0cd2, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0xf5ab964b, "_gpl");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0xa64f7656, "");
SYMBOL_CRC(drm_vblank_init, 0xe161b769, "");
SYMBOL_CRC(drm_dev_has_vblank, 0x8aeeddb6, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0xd2c5d792, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0x9d7be913, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0x4653a476, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0x0e2de68f, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0xac7f53ba, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0x1c96d3e4, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0x617abf77, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0xfbe1f37c, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0xb4caed20, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0x8e8317cd, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0xfb91bcad, "");
SYMBOL_CRC(drm_wait_one_vblank, 0x5f0d4fb4, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0xfd9a322b, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0x858d382b, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0x2df34bd2, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0xdc762407, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0x7f724f9d, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0x9e7924f3, "");
SYMBOL_CRC(drm_handle_vblank, 0x77a76891, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0x8a6490d2, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0xd35ceda5, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0x8a8b51f7, "");
SYMBOL_CRC(drm_vblank_work_flush, 0xa6b1f4e8, "");
SYMBOL_CRC(drm_vblank_work_init, 0x70097ae9, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0xbd458634, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0xc4764f26, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0xad821c61, "");
SYMBOL_CRC(drm_vma_offset_add, 0x388543c3, "");
SYMBOL_CRC(drm_vma_offset_remove, 0x65c49ae3, "");
SYMBOL_CRC(drm_vma_node_allow, 0xacef5a47, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0x6f5aeff5, "");
SYMBOL_CRC(drm_vma_node_revoke, 0x2094c5ba, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0x89005ac4, "");
SYMBOL_CRC(drm_writeback_connector_init, 0x24f0cbdd, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0xfae3b52b, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0x88d92cc1, "");
SYMBOL_CRC(drm_writeback_queue_job, 0xdcff33da, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0xdae70560, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0xd483856a, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0xf14ce422, "");
SYMBOL_CRC(drm_prandom_u32_max_state, 0xd392c35c, "");
SYMBOL_CRC(drm_random_reorder, 0x1ce755b6, "");
SYMBOL_CRC(drm_random_order, 0xd5164270, "");
SYMBOL_CRC(drm_compat_ioctl, 0x1668a377, "");
SYMBOL_CRC(drm_panel_init, 0x0483d81f, "");
SYMBOL_CRC(drm_panel_add, 0xb5b99422, "");
SYMBOL_CRC(drm_panel_remove, 0x302fe749, "");
SYMBOL_CRC(drm_panel_prepare, 0x3d39544b, "");
SYMBOL_CRC(drm_panel_unprepare, 0x6f4788d7, "");
SYMBOL_CRC(drm_panel_enable, 0x73dce1cc, "");
SYMBOL_CRC(drm_panel_disable, 0xaacb3111, "");
SYMBOL_CRC(drm_panel_get_modes, 0xc392ed92, "");
SYMBOL_CRC(drm_is_panel_follower, 0x0be098c8, "");
SYMBOL_CRC(drm_panel_add_follower, 0x45de4250, "");
SYMBOL_CRC(drm_panel_remove_follower, 0x2f74ddef, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0xd3ba5085, "");
SYMBOL_CRC(drm_panel_of_backlight, 0x94590048, "");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0x77d8b12d, "");
SYMBOL_CRC(drm_debugfs_create_files, 0x2898ef11, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0x661beb95, "");
SYMBOL_CRC(drm_debugfs_add_file, 0x5469f456, "");
SYMBOL_CRC(drm_debugfs_add_files, 0x5b97aa5a, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0xb1dd88f2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8dcc62a, "krealloc" },
	{ 0xba71775d, "ida_alloc_range" },
	{ 0xe6bdcf9c, "try_module_get" },
	{ 0x900d330c, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8e3df2b0, "ww_mutex_lock_interruptible" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9163fe05, "alloc_anon_inode" },
	{ 0xa4aa5c02, "show_class_attr_string" },
	{ 0xdd66fa09, "kthread_cancel_work_sync" },
	{ 0x77287cce, "is_acpi_device_node" },
	{ 0x425212b8, "kthread_create_worker" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xeb851b08, "kthread_flush_work" },
	{ 0x4114b1b6, "bpf_trace_run4" },
	{ 0x2490f90e, "ida_destroy" },
	{ 0x9266ac4d, "idr_find" },
	{ 0x5630def0, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9f6a3b50, "shmem_read_folio_gfp" },
	{ 0xc1ee1893, "__folio_batch_release" },
	{ 0xa36076db, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x7c567919, "trace_raw_output_prep" },
	{ 0xac5efec9, "dma_resv_init" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xb94929ec, "dma_resv_wait_timeout" },
	{ 0x8587577c, "device_unregister" },
	{ 0xb2ddf5ea, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8b618d08, "overflowuid" },
	{ 0xfac1a37b, "kthread_flush_worker" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x8419823f, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa1fcee47, "request_firmware" },
	{ 0x4dc75b97, "class_destroy" },
	{ 0x76c93765, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x601e76, "idr_replace" },
	{ 0x8a668b12, "ww_mutex_unlock" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xbc0adcae, "device_initialize" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x4900f8c0, "fd_install" },
	{ 0x11ece0c3, "dma_fence_chain_ops" },
	{ 0xa165ab61, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xafd77f18, "component_del" },
	{ 0xca2a88c, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xaaf9654, "iput" },
	{ 0x69e8c366, "pcpu_hot" },
	{ 0x6ceedbdc, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xc9c546a2, "prepare_to_wait_event" },
	{ 0x901c34f5, "dma_buf_unmap_attachment_unlocked" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x6c09ffc4, "event_triggers_call" },
	{ 0xed9e23ad, "__wake_up" },
	{ 0x50179fbd, "dma_fence_add_callback" },
	{ 0x9b8a488d, "synchronize_srcu" },
	{ 0xa454606c, "dma_fence_set_deadline" },
	{ 0xcee2e688, "get_device" },
	{ 0x54fde2b1, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1f89f80, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xb4142ee3, "wake_up_process" },
	{ 0x9a494a9, "dev_driver_string" },
	{ 0x71f67460, "dma_buf_map_attachment_unlocked" },
	{ 0xce9939d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0xd458f777, "ww_mutex_trylock" },
	{ 0xaa478695, "register_acpi_bus_type" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x417c22e1, "devm_of_find_backlight" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x49852ac6, "dma_max_mapping_size" },
	{ 0x95fb0743, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x63aaeef, "trace_event_ignore_this_pid" },
	{ 0xd22180a6, "dma_buf_export" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xee0118df, "aperture_remove_conflicting_devices" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0xc14394e1, "kthread_queue_work" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x843a0c6d, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xef8231fd, "dma_fence_remove_callback" },
	{ 0xd16168fc, "rt_write_unlock" },
	{ 0xf2464832, "_dev_info" },
	{ 0x4321ed80, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0x33de2dc, "atomic_dec_and_mutex_lock" },
	{ 0xe7c9b413, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xa4d9f58, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x420efb81, "idr_remove" },
	{ 0x5e7ba8f4, "dma_fence_chain_walk" },
	{ 0xcddc3c73, "debugfs_lookup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xb9b36761, "__task_pid_nr_ns" },
	{ 0x514640d2, "kobject_uevent_env" },
	{ 0x4ea5d10, "ksize" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x9eab760e, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2af7889c, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5964dfd3, "perf_trace_run_bpf_submit" },
	{ 0x49608959, "migrate_disable" },
	{ 0x597a7172, "fput" },
	{ 0xe906823c, "down_write" },
	{ 0xf1b44dc3, "_dev_err" },
	{ 0x61520178, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x689a49aa, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x3a81dd16, "sysfs_remove_link" },
	{ 0xa6666f1e, "idr_alloc" },
	{ 0x616bf769, "pid_task" },
	{ 0xbfbac4d3, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0xf5ac02c6, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x34b51f05, "noop_llseek" },
	{ 0x6f3590ba, "dma_fence_signal" },
	{ 0x27d9db7d, "folio_mark_accessed" },
	{ 0x5b83c42f, "dma_resv_fini" },
	{ 0x7d0713de, "class_create" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x58324b4c, "dma_buf_get" },
	{ 0xafe7e306, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x23aa7575, "aperture_remove_conflicting_pci_devices" },
	{ 0x63fa2131, "ww_mutex_lock" },
	{ 0x50d0e443, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x32af2db3, "dma_buf_put" },
	{ 0xde56b1a, "ida_free" },
	{ 0xd68f2cd4, "dma_buf_fd" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x4868cfbb, "dma_fence_init" },
	{ 0x4cbb391a, "mutex_lock_interruptible" },
	{ 0xa93973c8, "device_register" },
	{ 0xa8360112, "device_del" },
	{ 0x7653e92d, "idr_destroy" },
	{ 0x615e71d0, "sg_alloc_table_from_pages_segment" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0xfb578fc5, "memset" },
	{ 0x30383cea, "_dev_warn" },
	{ 0x95247690, "unregister_acpi_bus_type" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4348159a, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x6d9c318c, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1398c917, "devm_aperture_acquire_for_platform_device" },
	{ 0x36928ea4, "init_pseudo" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x132a215f, "check_move_unevictable_folios" },
	{ 0xfb258442, "bpf_trace_run3" },
	{ 0x3e39e74, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0x13c403fd, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x45e13840, "rt_read_lock" },
	{ 0x55c77741, "debugfs_create_file" },
	{ 0x475643f2, "trace_event_buffer_reserve" },
	{ 0x3c822815, "dma_map_sgtable" },
	{ 0x11b19c1, "kthread_destroy_worker" },
	{ 0x85df9b6c, "strsep" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0x568556ba, "__dma_fence_unwrap_merge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xd3ebea9a, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe37d278e, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x39c6497b, "seq_write" },
	{ 0xa5c8051a, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xc9e2ab9b, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0d4b8f6, "radix_tree_tagged" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xad63cdeb, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xee7b0ab6, "__rt_mutex_init" },
	{ 0x18d77897, "__srcu_read_unlock" },
	{ 0x4ddacc97, "rt_write_lock" },
	{ 0x1709f64, "i2c_transfer" },
	{ 0xd1d1cede, "dma_fence_allocate_private_stub" },
	{ 0xf9ccd8ea, "dma_buf_detach" },
	{ 0xa015c9fa, "dma_fence_signal_timestamp" },
	{ 0xbc1180f7, "dma_fence_chain_init" },
	{ 0xe1486531, "boot_cpu_data" },
	{ 0x251cbf2e, "seq_puts" },
	{ 0x8e9e7332, "single_release" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xfc06ca51, "dev_printk" },
	{ 0xea06c7ef, "pid_vnr" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0x89cb064f, "sched_set_fifo" },
	{ 0x359b890d, "simple_release_fs" },
	{ 0xa93d2d2a, "dma_unmap_sg_attrs" },
	{ 0x8d0509c6, "kill_anon_super" },
	{ 0x1d346863, "from_kuid_munged" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x62b165fd, "__devm_add_action" },
	{ 0x79a55adc, "component_add" },
	{ 0xd4e1070, "dma_resv_test_signaled" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0xf53c38d7, "dma_fence_chain_find_seqno" },
	{ 0x8dac2b5b, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xa6602c49, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xb4e7c40a, "debugfs_create_dir" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x4263fdc5, "cc_platform_has" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb5362993, "sync_file_get_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0x1498f002, "put_pid" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x782185af, "__dev_fwnode" },
	{ 0x97975213, "pci_bus_type" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0x4ae8d3cd, "class_remove_file_ns" },
	{ 0x58c28ed7, "simple_pin_fs" },
	{ 0x9bceb33f, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "drm_panel_orientation_quirks");


MODULE_INFO(srcversion, "8E268A5EEF2B081A790A7B5");
MODULE_INFO(rhelversion, "9.6");
