#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0xebb3f868, "");
SYMBOL_CRC(drm_gem_vram_put, 0x38d4e0e6, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x9c7989c9, "");
SYMBOL_CRC(drm_gem_vram_pin, 0xa0e28f6f, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x96a90ca1, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0x14dec9b0, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x54d5fbdf, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x4cb34e0f, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0xa07f40f9, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0xe67f1e9b, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x84a02cb1, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x35b0b5e7, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0x3a326fff, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x8df4855b, "");
SYMBOL_CRC(drmm_vram_helper_init, 0xf795c621, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0x0a63bfc7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78359c2c, "ttm_range_man_init_nocheck" },
	{ 0x8e3df2b0, "ww_mutex_lock_interruptible" },
	{ 0x7d1426c1, "ttm_resource_manager_debug" },
	{ 0x8a668b12, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x9d40c0c, "ttm_range_man_fini_nocheck" },
	{ 0x5ab45d96, "drm_gem_object_init" },
	{ 0x21475af8, "__drm_printfn_seq_file" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4ce40b7f, "ttm_bo_pin" },
	{ 0x9a494a9, "dev_driver_string" },
	{ 0xaef9e937, "drm_gem_ttm_mmap" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa0977158, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7ba974e2, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x3cebd8ae, "drm_gem_object_release" },
	{ 0x67a677c, "ttm_tt_init" },
	{ 0x40fe13b7, "drm_gem_handle_create" },
	{ 0xc10b71bb, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd57313b5, "ttm_bo_unpin" },
	{ 0x65b962a9, "__drm_puts_seq_file" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0x5b97aa5a, "drm_debugfs_add_files" },
	{ 0x21918640, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbb09168, "ttm_device_init" },
	{ 0x89e566ad, "ttm_bo_validate" },
	{ 0x968fc07e, "ttm_bo_move_to_lru_tail" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0x4be32b43, "ttm_bo_vmap" },
	{ 0xa4d20368, "ttm_bo_put" },
	{ 0x7b948f23, "ttm_resource_free" },
	{ 0x5a524e01, "ttm_bo_move_memcpy" },
	{ 0x7b67f998, "ttm_tt_fini" },
	{ 0x40870f9f, "ttm_device_fini" },
	{ 0xb4f514b9, "drm_gem_plane_helper_prepare_fb" },
	{ 0x53d8559, "ttm_bo_eviction_valuable" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0xd170af6, "drm_gem_ttm_print_info" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm,drm_ttm_helper,drm_kms_helper");


MODULE_INFO(srcversion, "1496405607BF97945448E9F");
MODULE_INFO(rhelversion, "9.6");
