#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0xf6ed2e7e, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0x90b04687, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0x5f509455, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0xef9bbfed, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x61cb2988, "_gpl");
SYMBOL_CRC(stmmac_resume, 0x0c26a9c7, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0xd1cc24db, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf7c46a0f, "mdiobus_alloc_size" },
	{ 0xa02f10ae, "__tracepoint_xdp_exception" },
	{ 0x9767b510, "xsk_tx_completed" },
	{ 0xfc3e5e35, "napi_alloc_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x235cad95, "xp_alloc" },
	{ 0x457d26e0, "device_set_wakeup_enable" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x10913532, "bpf_prog_put" },
	{ 0xed580b21, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xaf92f657, "xp_dma_map" },
	{ 0xe133794f, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8b7c7576, "devm_kmalloc" },
	{ 0xe554e7a1, "eth_mac_addr" },
	{ 0x5a937b2e, "skb_put" },
	{ 0x3778b2dc, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaff94467, "netdev_update_features" },
	{ 0x83687204, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xb0e602eb, "memmove" },
	{ 0x2d46c6cf, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x277564eb, "hrtimer_try_to_cancel" },
	{ 0x4c0865c3, "bpf_warn_invalid_xdp_action" },
	{ 0xb4271db8, "unregister_netdev" },
	{ 0xe12d5e31, "xdp_convert_zc_to_xdp_frame" },
	{ 0x5822adcf, "xdp_features_set_redirect_target" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0xf56bc2cc, "dma_unmap_page_attrs" },
	{ 0xcd30bfa2, "hrtimer_init" },
	{ 0x282fdb58, "skb_add_rx_frag" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0x37f366cf, "ptp_clock_index" },
	{ 0x582c4ac6, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x69e8c366, "pcpu_hot" },
	{ 0x6ceedbdc, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xeac38077, "page_pool_destroy" },
	{ 0x7054356d, "xdp_do_redirect" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x276721aa, "netdev_warn" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xed9e23ad, "__wake_up" },
	{ 0xd478c040, "flow_rule_match_ipv4_addrs" },
	{ 0xb524b8a9, "xdp_rxq_info_unreg_mem_model" },
	{ 0x43843099, "__netif_napi_del" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x3654fbba, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xef79f9ec, "phylink_limit_mac_speed" },
	{ 0x18d72318, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0x9a494a9, "dev_driver_string" },
	{ 0x76a21f8c, "pinctrl_pm_select_default_state" },
	{ 0xc82d11df, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xbc2ae16, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xad13314b, "__pm_runtime_set_status" },
	{ 0xe148aeb1, "dma_map_page_attrs" },
	{ 0xd94a4b57, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x381a382c, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x3349fbe1, "pm_wakeup_dev_event" },
	{ 0x98ff3d5c, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x98428c8c, "__napi_schedule" },
	{ 0x5c9e06f5, "pm_runtime_enable" },
	{ 0x8e47ce83, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x1e56673c, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa488d513, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0xd16168fc, "rt_write_unlock" },
	{ 0xf2464832, "_dev_info" },
	{ 0xaef43e89, "xpcs_create_mdiodev" },
	{ 0xeb6189a3, "napi_gro_receive" },
	{ 0xce108db4, "netif_device_attach" },
	{ 0x2404d734, "xdp_features_clear_redirect_target" },
	{ 0x73c1803d, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x30ca5184, "netdev_pick_tx" },
	{ 0x500573b0, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xe8e45ef, "xp_raw_get_dma" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x13744b21, "xdp_rxq_info_is_reg" },
	{ 0xb26753e6, "devm_alloc_etherdev_mqs" },
	{ 0xccc60458, "flow_block_cb_setup_simple" },
	{ 0x2c99730c, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0x5741b7c8, "dev_open" },
	{ 0x2e52cd9d, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xf1b44dc3, "_dev_err" },
	{ 0x7db1799c, "xpcs_destroy" },
	{ 0x8cd6d5c6, "pinctrl_pm_select_sleep_state" },
	{ 0x31d11008, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x63d79a89, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x67dc3162, "ptp_clock_register" },
	{ 0x16f7932d, "xsk_tx_peek_desc" },
	{ 0x2512714f, "netif_set_real_num_tx_queues" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x988ff186, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x9aea2e5f, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xf8afbf48, "dma_alloc_attrs" },
	{ 0xafe7e306, "debugfs_remove" },
	{ 0x4c043e48, "napi_enable" },
	{ 0x64cb1522, "xsk_clear_rx_need_wakeup" },
	{ 0x43c1b506, "xpcs_get_interfaces" },
	{ 0x72489660, "xsk_uses_need_wakeup" },
	{ 0xca3762dc, "register_netdev" },
	{ 0xc2e517ab, "xsk_get_pool_from_qid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcbb95e3, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x107f62c9, "phylink_generic_validate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x506afbe7, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x875dc127, "__SCK__tp_func_xdp_exception" },
	{ 0xb6bcee9d, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x10d59553, "netif_tx_wake_queue" },
	{ 0xd062b026, "fwnode_get_phy_node" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x15c64cc2, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x30383cea, "_dev_warn" },
	{ 0xedca1177, "flow_rule_match_ports" },
	{ 0x18262f6f, "phylink_fwnode_phy_connect" },
	{ 0x432e5b55, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x659d48fc, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0xdd2b5455, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb5a92e65, "fwnode_get_named_child_node" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4348159a, "__init_waitqueue_head" },
	{ 0xff8e8126, "ptp_clock_unregister" },
	{ 0x6d7bd5ca, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x18f5dae0, "xpcs_get_an_mode" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x3cba242f, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf1cc5419, "xdp_return_frame_rx_napi" },
	{ 0x80e91e0c, "netdev_alert" },
	{ 0xb22c660c, "dma_set_coherent_mask" },
	{ 0x3e39e74, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xfe18426, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0x45e13840, "rt_read_lock" },
	{ 0xb535c653, "debugfs_rename" },
	{ 0x55c77741, "debugfs_create_file" },
	{ 0xdd119bf1, "xsk_set_tx_need_wakeup" },
	{ 0x731e0555, "dma_free_attrs" },
	{ 0x9d02033e, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x8143d562, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2a23ce3, "xp_set_rxq_info" },
	{ 0x62d568bd, "flow_rule_match_vlan" },
	{ 0xc0d30f1f, "xdp_rxq_info_unreg" },
	{ 0x237015df, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xcb4b375a, "__xdp_rxq_info_reg" },
	{ 0xa5c8051a, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf704c6e5, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xad63cdeb, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0x9d79131a, "mdiobus_get_phy" },
	{ 0x3634145, "netif_carrier_on" },
	{ 0x4ddacc97, "rt_write_lock" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x6b0500df, "__mdiobus_register" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5db6d2e4, "hrtimer_cancel" },
	{ 0xd11940dd, "xp_free" },
	{ 0x8e9e7332, "single_release" },
	{ 0xbb15114, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x65f97685, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0x1e9c7b0a, "xdp_master_redirect" },
	{ 0x5ad6ff, "xp_raw_get_data" },
	{ 0xde66f4a7, "phylink_mii_ioctl" },
	{ 0x9a3e09e5, "napi_schedule_prep" },
	{ 0xaafb64c8, "napi_disable" },
	{ 0x1352e91e, "dev_kfree_skb_any_reason" },
	{ 0xd834fbd2, "eth_header_parse_protocol" },
	{ 0x8dac2b5b, "param_ops_int" },
	{ 0xadba2cbc, "phylink_pcs_pre_init" },
	{ 0xa6602c49, "single_open" },
	{ 0xbc638a05, "__pm_runtime_disable" },
	{ 0xb4e7c40a, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0x34c9531b, "skb_clone_tx_timestamp" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0xb807a97d, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe119e9b4, "ethtool_op_get_ts_info" },
	{ 0x227a3a12, "xsk_tx_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x782185af, "__dev_fwnode" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0xa5a6dc56, "netdev_info" },
	{ 0x5f8e16cc, "page_pool_put_unrefed_page" },
	{ 0xfd87b6b, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "ptp,phylink,pcs_xpcs");


MODULE_INFO(srcversion, "F45351FE0258CEE1E5D9C33");
MODULE_INFO(rhelversion, "9.6");
