#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0xa067c7a4, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x0e62415a, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0xe5f551cb, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0xe7a6616c, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x2d6b8e7f, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x715b6933, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x00d188f7, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x4d5c4293, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0xe761f184, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x6994ea1f, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x1b08d967, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0xaff88c0b, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x2392aba8, "_gpl");
SYMBOL_CRC(usbnet_open, 0xf500ed04, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x375c4b5c, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x7c1bf413, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x36b3a776, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0xb8f7cff7, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0xa85d81b7, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x2f5d8e03, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xaaeef1f7, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x061ca531, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x2ffaf9b4, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x2f7e4b51, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0xa2536897, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0xfdd4bfc3, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x436ce377, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0xe9eb71e2, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x646867f0, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0xc9ccda58, "");
SYMBOL_CRC(usbnet_manage_power, 0xd452d044, "");
SYMBOL_CRC(usbnet_link_change, 0xeeb42cec, "");
SYMBOL_CRC(usbnet_read_cmd, 0xd1fcdab5, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x18c214ca, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x61289e9c, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x6e2ed082, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0xad344f23, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x722bb429, "usb_set_interface" },
	{ 0x7a6a630d, "usb_string" },
	{ 0x7113932f, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x85c529e4, "skb_defer_rx_timestamp" },
	{ 0x26b7aa95, "netif_rx" },
	{ 0xbc2ae16, "eth_type_trans" },
	{ 0x6bc9dc13, "skb_queue_tail" },
	{ 0x3cba242f, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8ff371e7, "skb_queue_purge_reason" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x5ced1305, "usb_get_urb" },
	{ 0x712bcb91, "usb_unlink_urb" },
	{ 0xd9fa9929, "usb_free_urb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa60e4630, "usb_submit_urb" },
	{ 0x3654fbba, "netdev_err" },
	{ 0x17a14964, "mii_ethtool_get_link_ksettings" },
	{ 0xa2c9c527, "mii_ethtool_set_link_ksettings" },
	{ 0xd36f9e58, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0xb4271db8, "unregister_netdev" },
	{ 0xe63adca9, "usb_scuttle_anchored_urbs" },
	{ 0xbeba4fe5, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa2ddaca8, "free_netdev" },
	{ 0xa5a6dc56, "netdev_info" },
	{ 0x3634145, "netif_carrier_on" },
	{ 0xf704c6e5, "netif_carrier_off" },
	{ 0x2837308, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x346f7c93, "usb_autopm_get_interface" },
	{ 0x511cf547, "usb_autopm_put_interface" },
	{ 0xff774573, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0x456bcc8b, "mii_link_ok" },
	{ 0x506afbe7, "ethtool_op_get_link" },
	{ 0xf95f08f1, "usb_autopm_put_interface_async" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x69e8c366, "pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x395bcacd, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe942afb7, "remove_wait_queue" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x1e56673c, "netif_device_detach" },
	{ 0xce108db4, "netif_device_attach" },
	{ 0x9916aa54, "skb_dequeue" },
	{ 0x14094181, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4348159a, "__init_waitqueue_head" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0xca3762dc, "register_netdev" },
	{ 0x5c9e06f5, "pm_runtime_enable" },
	{ 0x34c9531b, "skb_clone_tx_timestamp" },
	{ 0xfb908292, "usb_autopm_get_interface_async" },
	{ 0x1352e91e, "dev_kfree_skb_any_reason" },
	{ 0x3778b2dc, "skb_tstamp_tx" },
	{ 0x43e268e8, "usb_anchor_urb" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xb9b581c0, "__netdev_alloc_skb" },
	{ 0x83687204, "consume_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xed9e23ad, "__wake_up" },
	{ 0x10d59553, "netif_tx_wake_queue" },
	{ 0x8d45005d, "usb_get_from_anchor" },
	{ 0x8e8c6d6f, "usb_autopm_get_interface_no_resume" },
	{ 0x5a937b2e, "skb_put" },
	{ 0x93d427aa, "usb_clear_halt" },
	{ 0xe554e7a1, "eth_mac_addr" },
	{ 0x73bbc7e9, "eth_validate_addr" },
	{ 0x375b0747, "dev_get_tstats64" },
	{ 0xe119e9b4, "ethtool_op_get_ts_info" },
	{ 0x8dac2b5b, "param_ops_int" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "D10E818D1D587F6CA0A230B");
MODULE_INFO(rhelversion, "9.6");
