#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nvmet_wq, "_gpl", "");
KSYMTAB_FUNC(nvmet_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_complete, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_destroy, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_uninit, "_gpl", "");
KSYMTAB_FUNC(nvmet_check_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_alloc_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_free_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_fatal_error, "_gpl", "");

SYMBOL_CRC(nvmet_wq, 0x3e0ef07a, "_gpl");
SYMBOL_CRC(nvmet_register_transport, 0x4bba2515, "_gpl");
SYMBOL_CRC(nvmet_unregister_transport, 0xb28a338f, "_gpl");
SYMBOL_CRC(nvmet_req_complete, 0x33bd2b06, "_gpl");
SYMBOL_CRC(nvmet_sq_destroy, 0x35c6e8d7, "_gpl");
SYMBOL_CRC(nvmet_sq_init, 0xd631e51f, "_gpl");
SYMBOL_CRC(nvmet_req_init, 0x171382c5, "_gpl");
SYMBOL_CRC(nvmet_req_uninit, 0x46265039, "_gpl");
SYMBOL_CRC(nvmet_check_transfer_len, 0x4e82d456, "_gpl");
SYMBOL_CRC(nvmet_req_alloc_sgls, 0x6e4d6c7d, "_gpl");
SYMBOL_CRC(nvmet_req_free_sgls, 0x332ba1d7, "_gpl");
SYMBOL_CRC(nvmet_ctrl_fatal_error, 0x118cc50d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcbdba7eb, "filp_open" },
	{ 0xba71775d, "ida_alloc_range" },
	{ 0xcc5a1f3a, "bdev_file_open_by_path" },
	{ 0xe6bdcf9c, "try_module_get" },
	{ 0x606c7732, "blk_start_plug" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x2490f90e, "ida_destroy" },
	{ 0x590bf54, "config_group_init" },
	{ 0x83338c39, "config_group_find_item" },
	{ 0xb039ab8b, "radix_tree_insert" },
	{ 0xd13bf029, "bio_add_zone_append_page" },
	{ 0xcb39603c, "nvme_auth_hmac_id" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x77bc13a0, "strim" },
	{ 0xea56ebe5, "nvme_auth_extract_key" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x7c567919, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x64b7fd8f, "pci_dev_put" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xf3a09fe7, "crypto_has_kpp" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x664f1e74, "radix_tree_lookup" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x76c93765, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0xa165ab61, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd1626e90, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x69e8c366, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf6625233, "bpf_trace_run2" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x6c09ffc4, "event_triggers_call" },
	{ 0x21bf3039, "pci_p2pmem_free_sgl" },
	{ 0xe4b75acb, "kmem_cache_create" },
	{ 0xcee2e688, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x77c6724b, "mempool_free" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2a984f40, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xce9939d, "trace_event_buffer_commit" },
	{ 0x64520669, "crypto_destroy_tfm" },
	{ 0xb49601a1, "sg_zero_buffer" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x954d84bb, "mempool_create" },
	{ 0x50804477, "crypto_alloc_kpp" },
	{ 0xc28d986c, "vfs_fallocate" },
	{ 0xad5a495f, "blkdev_zone_mgmt" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x95fb0743, "put_device" },
	{ 0x63aaeef, "trace_event_ignore_this_pid" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x93cb81a1, "mempool_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x774b5a85, "blk_finish_plug" },
	{ 0x780989d1, "nvme_auth_dhgroup_id" },
	{ 0x399d9ac8, "nvme_auth_hmac_hash_len" },
	{ 0x16b0f317, "submit_bio" },
	{ 0xe7c9b413, "module_put" },
	{ 0x3bba5554, "pci_p2pdma_distance_many" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x28cbc347, "nvme_auth_gen_pubkey" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x6afc4da2, "key_put" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x596df236, "bio_put" },
	{ 0xfca8e81c, "radix_tree_delete" },
	{ 0x91c5f88f, "bio_endio" },
	{ 0xb5af550, "sg_miter_next" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x5964dfd3, "perf_trace_run_bpf_submit" },
	{ 0x597a7172, "fput" },
	{ 0xe906823c, "down_write" },
	{ 0x61520178, "up_write" },
	{ 0x44083f65, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x84cdd6c, "configfs_register_subsystem" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x43266984, "radix_tree_next_chunk" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc6faee7, "xa_load" },
	{ 0x7ae3dca2, "config_group_init_type_name" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0xadc1fe1e, "bio_integrity_add_page" },
	{ 0x5a921311, "strncmp" },
	{ 0x97337ca1, "sg_miter_stop" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x50d0e443, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xc2b2f3f, "bio_chain" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xde56b1a, "ida_free" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x72d89d13, "pci_p2pdma_enable_store" },
	{ 0x33ebe32, "pci_p2pmem_alloc_sgl" },
	{ 0x70c1b26b, "bio_add_page" },
	{ 0x2921685b, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x7b88c611, "bio_integrity_alloc" },
	{ 0x9c7e5a04, "sg_miter_start" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x11089ac7, "_ctype" },
	{ 0xdaeacd32, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xebef5a95, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0xe0e444d3, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x35260d09, "pci_p2pdma_enable_show" },
	{ 0xd9b689a9, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0x5ca3a5a7, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xdb185435, "xa_erase" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x10b89330, "crypto_has_shash" },
	{ 0x475643f2, "trace_event_buffer_reserve" },
	{ 0x9bd0d94, "crypto_shash_final" },
	{ 0x9c3b1a75, "vfs_fsync" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x39d33384, "xa_destroy" },
	{ 0x30482675, "xa_find" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc80b3a51, "pci_dev_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x54666acc, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x11f7ed4c, "hex_to_bin" },
	{ 0xeb3f3061, "blkdev_issue_flush" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x3531293f, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5595bf60, "xa_find_after" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xd72424fb, "pci_p2pmem_find_many" },
	{ 0xc051a6dc, "crypto_alloc_shash" },
	{ 0x9de68ce2, "nvme_auth_gen_privkey" },
	{ 0xac9ece5b, "bio_alloc_bioset" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x856f2b71, "up_read" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0x707e06bd, "__blkdev_issue_zeroout" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x5aa31bf, "submit_bio_wait" },
	{ 0x56ec85da, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x42d6a69a, "__blkdev_issue_discard" },
	{ 0x9fbd47cb, "fs_bio_set" },
	{ 0xfd922c4a, "blk_next_bio" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xafc9d901, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "231A7E58FA3077D7F234ABB");
MODULE_INFO(rhelversion, "9.6");
