#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ptp_clock_register, "", "");
KSYMTAB_FUNC(ptp_clock_unregister, "", "");
KSYMTAB_FUNC(ptp_clock_event, "", "");
KSYMTAB_FUNC(ptp_clock_index, "", "");
KSYMTAB_FUNC(ptp_find_pin, "", "");
KSYMTAB_FUNC(ptp_find_pin_unlocked, "", "");
KSYMTAB_FUNC(ptp_schedule_worker, "", "");
KSYMTAB_FUNC(ptp_cancel_worker_sync, "", "");

SYMBOL_CRC(ptp_clock_register, 0x67dc3162, "");
SYMBOL_CRC(ptp_clock_unregister, 0xff8e8126, "");
SYMBOL_CRC(ptp_clock_event, 0x659d48fc, "");
SYMBOL_CRC(ptp_clock_index, 0x37f366cf, "");
SYMBOL_CRC(ptp_find_pin, 0x1263d5d2, "");
SYMBOL_CRC(ptp_find_pin_unlocked, 0x038f9042, "");
SYMBOL_CRC(ptp_schedule_worker, 0x9c9c73a3, "");
SYMBOL_CRC(ptp_cancel_worker_sync, 0x2367b937, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba71775d, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x425212b8, "kthread_create_worker" },
	{ 0x2490f90e, "ida_destroy" },
	{ 0xc608804f, "kthread_cancel_delayed_work_sync" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa36076db, "dev_set_name" },
	{ 0x2903010c, "kthread_delayed_work_timer_fn" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x6780fadb, "pps_register_source" },
	{ 0x8419823f, "finish_wait" },
	{ 0x4dc75b97, "class_destroy" },
	{ 0xbc0adcae, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc8f7d50a, "device_for_each_child" },
	{ 0xc9c546a2, "prepare_to_wait_event" },
	{ 0xed9e23ad, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x95fb0743, "put_device" },
	{ 0x460e3284, "device_for_each_child_reverse" },
	{ 0xf2464832, "_dev_info" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x49a63860, "kthread_mod_delayed_work" },
	{ 0xf1b44dc3, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7d0713de, "class_create" },
	{ 0x9362f912, "pps_event" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0xde56b1a, "ida_free" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4cbb391a, "mutex_lock_interruptible" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4348159a, "__init_waitqueue_head" },
	{ 0xb2f1fd5d, "pps_unregister_source" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x11b19c1, "kthread_destroy_worker" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0x66878cc5, "posix_clock_register" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x27820977, "kthread_queue_delayed_work" },
	{ 0xc32874e4, "ktime_get_snapshot" },
	{ 0xe5ea7725, "posix_clock_unregister" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0x862258db, "timecounter_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "pps_core");


MODULE_INFO(srcversion, "7E217A13F3F3600A3AD6CE4");
MODULE_INFO(rhelversion, "9.6");
