#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0xefd9de68, "");
SYMBOL_CRC(sas_remove_host, 0xa1a0e8e1, "");
SYMBOL_CRC(sas_get_address, 0x46a6748a, "");
SYMBOL_CRC(sas_tlr_supported, 0xf674c42d, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0xa0acd274, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0xdea3aa01, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0xb47d0b71, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0xac35eeac, "");
SYMBOL_CRC(sas_phy_add, 0x2ac9c5d0, "");
SYMBOL_CRC(sas_phy_free, 0x667e8f26, "");
SYMBOL_CRC(sas_phy_delete, 0x3119e767, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x30b732c8, "");
SYMBOL_CRC(sas_port_alloc, 0x041bdabc, "");
SYMBOL_CRC(sas_port_alloc_num, 0x31bf3a54, "");
SYMBOL_CRC(sas_port_add, 0x3d1ff374, "");
SYMBOL_CRC(sas_port_free, 0x214c2e62, "");
SYMBOL_CRC(sas_port_delete, 0xd69a284b, "");
SYMBOL_CRC(scsi_is_sas_port, 0xb17da791, "");
SYMBOL_CRC(sas_port_get_phy, 0xb06b37d7, "");
SYMBOL_CRC(sas_port_add_phy, 0xb4ddaa59, "");
SYMBOL_CRC(sas_port_delete_phy, 0x726392ee, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x5b0bd399, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x468621b0, "");
SYMBOL_CRC(sas_end_device_alloc, 0x6102898f, "");
SYMBOL_CRC(sas_expander_alloc, 0xbb359d66, "");
SYMBOL_CRC(sas_rphy_add, 0x3d881967, "");
SYMBOL_CRC(sas_rphy_free, 0x5e06edf6, "");
SYMBOL_CRC(sas_rphy_delete, 0xeeb99461, "");
SYMBOL_CRC(sas_rphy_unlink, 0x3dcef57f, "");
SYMBOL_CRC(sas_rphy_remove, 0x4db67eb2, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x36c95885, "");
SYMBOL_CRC(sas_attach_transport, 0xe364b787, "");
SYMBOL_CRC(sas_release_transport, 0xaad4f671, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x87936378, "attribute_container_register" },
	{ 0x3a81dd16, "sysfs_remove_link" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xfc06ca51, "dev_printk" },
	{ 0x6ed62688, "scsi_get_vpd_page" },
	{ 0x24d84734, "scsi_mode_sense" },
	{ 0x7746c1c4, "attribute_container_unregister" },
	{ 0xf9aa6dc, "scsi_remove_host" },
	{ 0x2e2d902a, "bsg_remove_queue" },
	{ 0x9c44fbac, "scsi_remove_target" },
	{ 0x193b34da, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x30383cea, "_dev_warn" },
	{ 0xa42fa03, "bsg_job_done" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0xdb7d349, "dma_opt_mapping_size" },
	{ 0xbc0adcae, "device_initialize" },
	{ 0xa36076db, "dev_set_name" },
	{ 0x2988346, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc8f7d50a, "device_for_each_child" },
	{ 0x95fb0743, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x689a49aa, "device_add" },
	{ 0x3a0814bd, "transport_add_device" },
	{ 0x5c84c32e, "transport_configure_device" },
	{ 0xa8360112, "device_del" },
	{ 0x77848262, "transport_destroy_device" },
	{ 0xce90ba5b, "transport_remove_device" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0xcee2e688, "get_device" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0xa4d9f58, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0xf705bef5, "scsi_scan_target" },
	{ 0xf8b55fd0, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xe9d9aeb4, "transport_class_register" },
	{ 0xee5b0837, "transport_class_unregister" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "176C35C46ED21A5F600B01B");
MODULE_INFO(rhelversion, "9.6");
