#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0x952a5357, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0x120de5a0, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0x94b6fcd6, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0xaf446356, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0xc5e18bc2, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0x9da79d94, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0x7cc7bfbd, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0x6180c41b, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0xf07dba49, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0x0251d224, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0x95345c52, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0x291366d8, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0x3ab89862, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0xd3d31a77, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0x799f7358, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0x207bc9c4, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0x12ea58e6, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0x5818dae4, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0xef34444e, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0x8c123562, "_gpl");
SYMBOL_CRC(vsock_core_register, 0xfc1c5e12, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0x56701d4b, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0xbc91de8f, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0x409d3def, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x1926e105, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0x77c14317, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x1c61d313, "sock_map_close" },
	{ 0x502e09dc, "sock_queue_rcv_skb_reason" },
	{ 0xe6bdcf9c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe968aeed, "misc_deregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x83687204, "consume_skb" },
	{ 0x8419823f, "finish_wait" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x16233295, "prepare_to_wait" },
	{ 0x72be80f6, "sock_map_unhash" },
	{ 0x69e8c366, "pcpu_hot" },
	{ 0x395bcacd, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9814cdf3, "__module_get" },
	{ 0x64493386, "sk_stream_error" },
	{ 0x3d06c21, "sk_msg_recvmsg" },
	{ 0xb9dfa830, "ns_capable_noaudit" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa2a5d70c, "__put_cred" },
	{ 0x1de371dd, "sk_error_report" },
	{ 0x8ff371e7, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xb95d7d59, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbe5c62db, "sock_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd16168fc, "rt_write_unlock" },
	{ 0x66cfe073, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe7c9b413, "module_put" },
	{ 0xbd5bdd62, "sk_msg_is_readable" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x48876555, "sk_skb_reason_drop" },
	{ 0x847715d5, "sk_free" },
	{ 0x7f71d8f9, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x146027c8, "sock_no_listen" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x5c38c983, "sock_recv_errqueue" },
	{ 0xa95beb73, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4cbb391a, "mutex_lock_interruptible" },
	{ 0x2372001e, "sk_alloc" },
	{ 0x74b816d, "sock_no_socketpair" },
	{ 0xace428bb, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x454a104a, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x84b18227, "sock_no_sendpage" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0x396d9944, "nonseekable_open" },
	{ 0x7da685f, "sk_psock_drop" },
	{ 0x29a6e757, "__dev_queue_xmit" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa545948c, "init_user_ns" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x2a4976b1, "skb_clone" },
	{ 0x4ddacc97, "rt_write_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xe942afb7, "remove_wait_queue" },
	{ 0x56cb8b72, "sock_no_ioctl" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x76d9a469, "sock_setsockopt" },
	{ 0x38455630, "sock_init_data" },
	{ 0x23f0486f, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0424882FE79F1CD134F9C0A");
MODULE_INFO(rhelversion, "9.6");
