#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_set_patch, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_asp1_regs_for_driver_control, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_force_sync_asp1_registers_from_cache, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_mbox_send, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_firmware_shutdown, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_for_firmware_boot, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_control_port_ready, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_min_reset_pulse, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_system_reset, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq_request, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_is_fw_reload_needed, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_suspend_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_resume_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_cs_dsp, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_calibration_controls, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_calibration, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_read_prot_status, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_hw_init, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_speaker_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_bclk_freq_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_fill_supply_names, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_texts, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_values, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_i2c, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_spi, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_sdw, "_gpl", "SND_SOC_CS35L56_SHARED");

SYMBOL_CRC(cs35l56_set_patch, 0xece9c2e7, "_gpl");
SYMBOL_CRC(cs35l56_init_asp1_regs_for_driver_control, 0xe9a697b7, "_gpl");
SYMBOL_CRC(cs35l56_force_sync_asp1_registers_from_cache, 0xa51fe10f, "_gpl");
SYMBOL_CRC(cs35l56_mbox_send, 0x28915b60, "_gpl");
SYMBOL_CRC(cs35l56_firmware_shutdown, 0x3f14da88, "_gpl");
SYMBOL_CRC(cs35l56_wait_for_firmware_boot, 0x3b761ff3, "_gpl");
SYMBOL_CRC(cs35l56_wait_control_port_ready, 0xad591ce8, "_gpl");
SYMBOL_CRC(cs35l56_wait_min_reset_pulse, 0x810124fe, "_gpl");
SYMBOL_CRC(cs35l56_system_reset, 0xbbf5b24e, "_gpl");
SYMBOL_CRC(cs35l56_irq_request, 0x49606a1d, "_gpl");
SYMBOL_CRC(cs35l56_irq, 0x05482545, "_gpl");
SYMBOL_CRC(cs35l56_is_fw_reload_needed, 0x217361e5, "_gpl");
SYMBOL_CRC(cs35l56_runtime_suspend_common, 0x660a83ee, "_gpl");
SYMBOL_CRC(cs35l56_runtime_resume_common, 0x1fd61331, "_gpl");
SYMBOL_CRC(cs35l56_init_cs_dsp, 0x29534bf0, "_gpl");
SYMBOL_CRC(cs35l56_calibration_controls, 0x0fa4d22d, "_gpl");
SYMBOL_CRC(cs35l56_get_calibration, 0xe6a6190e, "_gpl");
SYMBOL_CRC(cs35l56_read_prot_status, 0x1e8c0c0d, "_gpl");
SYMBOL_CRC(cs35l56_hw_init, 0xd3b1acb7, "_gpl");
SYMBOL_CRC(cs35l56_get_speaker_id, 0x4fb2fe92, "_gpl");
SYMBOL_CRC(cs35l56_get_bclk_freq_id, 0x88762c92, "_gpl");
SYMBOL_CRC(cs35l56_fill_supply_names, 0xcd5438ad, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_texts, 0x64e759e4, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_values, 0x05c2529e, "_gpl");
SYMBOL_CRC(cs35l56_regmap_i2c, 0x47c6ccd0, "_gpl");
SYMBOL_CRC(cs35l56_regmap_spi, 0xf193ca0f, "_gpl");
SYMBOL_CRC(cs35l56_regmap_sdw, 0x3efdfe7c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x60b13160, "gpiod_get_value_cansleep" },
	{ 0xc9815e33, "regcache_cache_only" },
	{ 0x28eeec69, "regcache_sync" },
	{ 0x4aaedc6, "regmap_write" },
	{ 0xf6f85ff9, "devm_request_threaded_irq" },
	{ 0x8d90e0cd, "cs_amp_get_efi_calibration_data" },
	{ 0x6cfb411c, "regmap_raw_read" },
	{ 0xde09b179, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7113932f, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf21db4f, "gpiod_get_array_optional" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf2464832, "_dev_info" },
	{ 0x4b88f582, "regmap_multi_reg_write_bypassed" },
	{ 0xf1b44dc3, "_dev_err" },
	{ 0x337c7c31, "gpiod_put_array" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0x30383cea, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7b7ec4a0, "regmap_read_bypassed" },
	{ 0x4c9abb8b, "regmap_read" },
	{ 0x9d02033e, "__pm_runtime_resume" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3abb3904, "_dev_crit" },
	{ 0x72f811d1, "regmap_update_bits_base" },
	{ 0x65f97685, "dev_err_probe" },
	{ 0xadb02c51, "regmap_multi_reg_write" },
	{ 0x47789d3d, "__pm_runtime_suspend" },
	{ 0xec0ac6a6, "regmap_register_patch" },
	{ 0xb807a97d, "__pm_runtime_idle" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs-amp-lib");


MODULE_INFO(srcversion, "DBF5D0052A0080AA8B0B432");
MODULE_INFO(rhelversion, "9.6");
