#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0xb9a77d1a, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0x2ba8613f, "");
SYMBOL_CRC(__bcma_driver_register, 0x7460f344, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0xdd5fdaac, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0x727cd86e, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0x6a662d61, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0xb24293be, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0x3b3f6ad5, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0x42d5b5a8, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0x235b817b, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0x384d1290, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0xd7ac8169, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0x112d27eb, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0x376779c5, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0x115469c6, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0xa77bc174, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0xb8441783, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x532f64fe, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0x42226e65, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0x0a767ccd, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0xc3779986, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0x87243a6b, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0x7e21175a, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0x84329ca3, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0x058d65ca, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0x64a17a84, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x7932ad94, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa36076db, "dev_set_name" },
	{ 0xc6e403f7, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8587577c, "device_unregister" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xa3d658de, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xbc0adcae, "device_initialize" },
	{ 0xd484562d, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcee2e688, "get_device" },
	{ 0x7113932f, "__dynamic_dev_dbg" },
	{ 0xcec949d9, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa2767c6c, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x95fb0743, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf2464832, "_dev_info" },
	{ 0x623af99, "gpiochip_get_data" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3143902d, "bus_unregister" },
	{ 0xf1b44dc3, "_dev_err" },
	{ 0x689a49aa, "device_add" },
	{ 0xb834727a, "platform_device_unregister" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0x15539efb, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x584db700, "pci_iounmap" },
	{ 0xb19b445, "ioread8" },
	{ 0x30383cea, "_dev_warn" },
	{ 0x690bdeed, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0x94043c49, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaabd56c, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x806fd086, "platform_device_register_full" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0x9f54ed2f, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf07a232f, "pci_disable_device" },
	{ 0x33fc7870, "pcie_set_readrq" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0xe71172eb, "driver_register" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x782185af, "__dev_fwnode" },
	{ 0x4a284ab, "pci_write_config_dword" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0x637e5a0e, "bus_register" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "25C521496BAEF4FC1986235");
MODULE_INFO(rhelversion, "9.6");
