#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(fscache_dirty_folio, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_try_get_volume, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(fscache_put_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");

SYMBOL_CRC(fscache_addremove_sem, 0x01bad4f1, "");
SYMBOL_CRC(fscache_clearance_waiters, 0xa3c04223, "");
SYMBOL_CRC(fscache_acquire_cache, 0xd05e1b7e, "");
SYMBOL_CRC(fscache_relinquish_cache, 0xb4c4b001, "");
SYMBOL_CRC(fscache_add_cache, 0xe42a704b, "");
SYMBOL_CRC(fscache_io_error, 0x08a62a07, "");
SYMBOL_CRC(fscache_withdraw_cache, 0xab6ead13, "");
SYMBOL_CRC(fscache_end_cookie_access, 0x9985399b, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0x7158173b, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0xf2f66c23, "");
SYMBOL_CRC(fscache_caching_failed, 0x68ad7748, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0xd43a0631, "");
SYMBOL_CRC(__fscache_use_cookie, 0x27e803ad, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0xeb950e1e, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0xdeb01b12, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0x2cc43d6f, "");
SYMBOL_CRC(fscache_put_cookie, 0x6fe8a812, "");
SYMBOL_CRC(fscache_get_cookie, 0xb934c8de, "");
SYMBOL_CRC(__fscache_invalidate, 0xb78f560c, "");
SYMBOL_CRC(fscache_wait_for_operation, 0x938ad75b, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0x4dbee9b6, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0x51d432bf, "");
SYMBOL_CRC(fscache_dirty_folio, 0xb44b9aba, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0x9c299ee9, "");
SYMBOL_CRC(__fscache_write_to_cache, 0xbf471d21, "");
SYMBOL_CRC(__fscache_resize_cookie, 0x5f1d6887, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0xa3cf94fd, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x65d1b412, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_cache, 0x7c87e02d, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x8611ae02, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0xb6624fcb, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_volume, 0x7b1b25da, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x7f8575c1, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0x0595188b, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access, 0x5954d7ac, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0xe46fa174, "");
SYMBOL_CRC(fscache_end_volume_access, 0x0d52e1ec, "");
SYMBOL_CRC(__fscache_acquire_volume, 0xd7a08813, "");
SYMBOL_CRC(fscache_put_volume, 0x51d6e7c0, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0xc040f08d, "");
SYMBOL_CRC(fscache_withdraw_volume, 0xa170145e, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x4114b1b6, "bpf_trace_run4" },
	{ 0xe2f917de, "param_ops_uint" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7c567919, "trace_raw_output_prep" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x8419823f, "finish_wait" },
	{ 0x76c93765, "trace_event_printf" },
	{ 0x383ebd47, "xas_find" },
	{ 0xa165ab61, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x69e8c366, "pcpu_hot" },
	{ 0x9511960f, "netfs_stats_show" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf6625233, "bpf_trace_run2" },
	{ 0xc9c546a2, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x3d8098e9, "remove_proc_subtree" },
	{ 0x6c09ffc4, "event_triggers_call" },
	{ 0xe4b75acb, "kmem_cache_create" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xce9939d, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x63aaeef, "trace_event_ignore_this_pid" },
	{ 0xd16168fc, "rt_write_unlock" },
	{ 0xbe416e3, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x91a7e4b2, "__var_waitqueue" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5964dfd3, "perf_trace_run_bpf_submit" },
	{ 0xe906823c, "down_write" },
	{ 0x61520178, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x77182c7b, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x55c7c10d, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x50d0e443, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xdaeacd32, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x277616f4, "proc_mkdir" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x83fc6ec6, "folio_end_private_2" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd9b689a9, "down_read" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xfb258442, "bpf_trace_run3" },
	{ 0x45e13840, "rt_read_lock" },
	{ 0x475643f2, "trace_event_buffer_reserve" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa5c8051a, "rt_read_unlock" },
	{ 0xe4b295d6, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0xad63cdeb, "seq_printf" },
	{ 0x4ddacc97, "rt_write_lock" },
	{ 0xf1614207, "filemap_dirty_folio" },
	{ 0x251cbf2e, "seq_puts" },
	{ 0xf93988f8, "iov_iter_xarray" },
	{ 0x7e585407, "proc_create_single_data" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x789c3c5a, "proc_create_seq_private" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x856f2b71, "up_read" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0xafc9d901, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "F1A7D48A931551A9DD3AC79");
MODULE_INFO(rhelversion, "9.6");
