#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0xb07238b4, "");
SYMBOL_CRC(wpan_phy_for_each, 0x93003716, "");
SYMBOL_CRC(wpan_phy_new, 0xcbf205f6, "");
SYMBOL_CRC(wpan_phy_register, 0xc8354a9d, "");
SYMBOL_CRC(wpan_phy_unregister, 0xdfe034c2, "");
SYMBOL_CRC(wpan_phy_free, 0xdc6f2e7c, "");
SYMBOL_CRC(ieee802154_hdr_push, 0xd7b720d5, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0x80e027be, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0xe30ab10c, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x18daa8ef, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4114b1b6, "bpf_trace_run4" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa36076db, "dev_set_name" },
	{ 0x7522c491, "trace_output_call" },
	{ 0x7c567919, "trace_raw_output_prep" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x8419823f, "finish_wait" },
	{ 0x76c93765, "trace_event_printf" },
	{ 0xbc0adcae, "device_initialize" },
	{ 0x351bae9d, "genlmsg_put" },
	{ 0xa165ab61, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x69e8c366, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf6625233, "bpf_trace_run2" },
	{ 0xc9c546a2, "prepare_to_wait_event" },
	{ 0x6c09ffc4, "event_triggers_call" },
	{ 0xed9e23ad, "__wake_up" },
	{ 0xcee2e688, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x536fd7d8, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x74d01525, "device_rename" },
	{ 0xce9939d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x95fb0743, "put_device" },
	{ 0x63aaeef, "trace_event_ignore_this_pid" },
	{ 0xa916b694, "strnlen" },
	{ 0xa7367879, "__alloc_skb" },
	{ 0x2f1c8d01, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe3fb4196, "__dev_get_by_index" },
	{ 0x5964dfd3, "perf_trace_run_bpf_submit" },
	{ 0x36418605, "init_net" },
	{ 0x31d11008, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x689a49aa, "device_add" },
	{ 0x48876555, "sk_skb_reason_drop" },
	{ 0xe0a749da, "netlink_unicast" },
	{ 0xd46b6cb6, "dev_get_by_index" },
	{ 0xe2bb57a3, "skb_push" },
	{ 0xf00a075f, "nla_put" },
	{ 0x50d0e443, "trace_event_reg" },
	{ 0xdb674233, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x32a293ac, "unregister_pernet_device" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdaeacd32, "bpf_trace_run1" },
	{ 0xa8360112, "device_del" },
	{ 0x492d772b, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x4348159a, "__init_waitqueue_head" },
	{ 0x16be2606, "__pskb_pull_tail" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x7313578e, "skb_trim" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xfb258442, "bpf_trace_run3" },
	{ 0xc875625c, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x88382f0f, "get_net_ns_by_pid" },
	{ 0x475643f2, "trace_event_buffer_reserve" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5dd0d78, "device_match_name" },
	{ 0x2f5a2043, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x47a13ad7, "genl_unregister_family" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xf2a9b226, "genl_register_family" },
	{ 0x594f8b6e, "__dev_change_net_namespace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xba002587, "register_pernet_device" },
	{ 0x1761a344, "get_net_ns_by_fd" },
	{ 0xf945de6d, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0x25bcdf53, "class_find_device" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "190F46991CF0176DC413D95");
MODULE_INFO(rhelversion, "9.6");
