#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0xe1df39c7, "_gpl");
SYMBOL_CRC(ip_tunnel_rcv, 0x3a0d8336, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x5eeaa7ba, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0xd6f543d6, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x8cd5e98d, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x1734a07d, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x7950303f, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0x68a7de18, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x4c51e624, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0xbf725588, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x41eb5d74, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0xe18aee1e, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x429b08a1, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x7c3f0d07, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0xe473bb02, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0xca7e07e6, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x1ec3293f, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x1296cb1c, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0xfe8cd13c, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x8e88893d, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0xdafad9fe, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0xdeec5686, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0xa49d713d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x211edd6e, "iptun_encaps" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x754d539c, "strlen" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xa916b694, "strnlen" },
	{ 0x69acdf38, "memcpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x87de5b63, "alloc_netdev_mqs" },
	{ 0x43550086, "register_netdevice" },
	{ 0xa2ddaca8, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xebd93239, "unregister_netdevice_queue" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe446a220, "ip_route_output_flow" },
	{ 0x77f9af9b, "dst_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe3fb4196, "__dev_get_by_index" },
	{ 0xc45295c1, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xe7d5c84b, "gro_cells_init" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe133794f, "skb_copy_bits" },
	{ 0x1d1f3ce, "netdev_state_change" },
	{ 0xe9052cac, "ns_capable" },
	{ 0xd6921473, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x36418605, "init_net" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6307e64e, "ipv4_mtu" },
	{ 0x26672b33, "icmpv6_ndo_send" },
	{ 0xb7e457ff, "icmp_ndo_send" },
	{ 0xaea1f83b, "pskb_expand_head" },
	{ 0x48876555, "sk_skb_reason_drop" },
	{ 0xc9032b50, "__skb_get_hash_net" },
	{ 0xfa901e1b, "dst_cache_get_ip4" },
	{ 0x66338f5b, "dst_cache_set_ip4" },
	{ 0xcf3a1b5c, "iptunnel_xmit" },
	{ 0x16be2606, "__pskb_pull_tail" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9c209375, "skb_scrub_packet" },
	{ 0x2587c001, "gro_cells_receive" },
	{ 0xbc2ae16, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x92997ed8, "_printk" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x5d74693e, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4DA277ABD94D01FCFFFB5F0");
MODULE_INFO(rhelversion, "9.6");
