#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x146dedbf, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0xbb25c6d4, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x863fd170, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15aab216, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0x502e09dc, "sock_queue_rcv_skb_reason" },
	{ 0x9ae67356, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x4114b1b6, "bpf_trace_run4" },
	{ 0xe133794f, "skb_copy_bits" },
	{ 0xb039ab8b, "radix_tree_insert" },
	{ 0x5a937b2e, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x83687204, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7c567919, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0x664f1e74, "radix_tree_lookup" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x76c93765, "trace_event_printf" },
	{ 0x75e14530, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xa165ab61, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x69e8c366, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f365271, "__tracepoint_sk_data_ready" },
	{ 0x6c09ffc4, "event_triggers_call" },
	{ 0xed9e23ad, "__wake_up" },
	{ 0x9814cdf3, "__module_get" },
	{ 0x92c3e9f, "kernel_recvmsg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xb994cd0f, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1de371dd, "sk_error_report" },
	{ 0x8ff371e7, "skb_queue_purge_reason" },
	{ 0xb091316e, "radix_tree_iter_delete" },
	{ 0xce9939d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xb95d7d59, "proto_unregister" },
	{ 0xbe5c62db, "sock_register" },
	{ 0xd1bc67bd, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x63aaeef, "trace_event_ignore_this_pid" },
	{ 0xa7367879, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd16168fc, "rt_write_unlock" },
	{ 0x66cfe073, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe7c9b413, "module_put" },
	{ 0xfc279698, "__xa_alloc" },
	{ 0xccdf0c1, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5964dfd3, "perf_trace_run_bpf_submit" },
	{ 0x36418605, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x43266984, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x48876555, "sk_skb_reason_drop" },
	{ 0xc6faee7, "xa_load" },
	{ 0x20d0bd5f, "__SCK__tp_func_sk_data_ready" },
	{ 0xa2d79522, "kernel_getsockname" },
	{ 0x82a80fec, "do_wait_intr_irq" },
	{ 0x847715d5, "sk_free" },
	{ 0x7f71d8f9, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0xe2bb57a3, "skb_push" },
	{ 0x146027c8, "sock_no_listen" },
	{ 0x50d0e443, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa95beb73, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc394d6fc, "skb_copy_datagram_iter" },
	{ 0x2372001e, "sk_alloc" },
	{ 0x74b816d, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x454a104a, "sock_no_mmap" },
	{ 0x4348159a, "__init_waitqueue_head" },
	{ 0x84b18227, "sock_no_sendpage" },
	{ 0xb9b581c0, "__netdev_alloc_skb" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0x5ca3a5a7, "__xa_insert" },
	{ 0xdb185435, "xa_erase" },
	{ 0xfb258442, "bpf_trace_run3" },
	{ 0x134fa80b, "skb_set_owner_w" },
	{ 0x475643f2, "trace_event_buffer_reserve" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0x42fe79bc, "sock_create_kern" },
	{ 0x30482675, "xa_find" },
	{ 0x2a63197c, "skb_recv_datagram" },
	{ 0x3dd1105d, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x353e0a31, "xa_store" },
	{ 0x4ddacc97, "rt_write_lock" },
	{ 0x468952f0, "_copy_from_iter" },
	{ 0xbe211890, "sock_release" },
	{ 0xcfd55bae, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x5595bf60, "xa_find_after" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xd90cf0f5, "iov_iter_revert" },
	{ 0x2a311242, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0x38455630, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0x23f0486f, "release_sock" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9CAAD44A10994D30D5FD142");
MODULE_INFO(rhelversion, "9.6");
