#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x35a15c39, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x54228e5d, "_gpl");
SYMBOL_CRC(tls_get_record, 0x13bd1b66, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x7c84c4ab, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0xbc654adb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe424fb6, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x45104759, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x82cf3ddf, "tcp_read_sock" },
	{ 0x4114b1b6, "bpf_trace_run4" },
	{ 0xe133794f, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6849302, "sk_page_frag_refill" },
	{ 0x5a937b2e, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x83687204, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7c567919, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x4455bdf7, "sk_psock_msg_verdict" },
	{ 0x3c18d3e, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xac7435da, "rt_mutex_base_init" },
	{ 0x76c93765, "trace_event_printf" },
	{ 0xad98a9c1, "iov_iter_get_pages2" },
	{ 0xcc2144bd, "___pskb_trim" },
	{ 0xa165ab61, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x69e8c366, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x395bcacd, "add_wait_queue" },
	{ 0x169e94cc, "__put_devmap_managed_page_refs" },
	{ 0x6eaf16f0, "clean_acked_data_enable" },
	{ 0xfc7bc6ae, "skb_splice_bits" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7e3abd67, "crypto_alloc_aead" },
	{ 0x9f365271, "__tracepoint_sk_data_ready" },
	{ 0xa674db8b, "crypto_aead_setauthsize" },
	{ 0x9960eed1, "crypto_aead_decrypt" },
	{ 0x6c09ffc4, "event_triggers_call" },
	{ 0xed9e23ad, "__wake_up" },
	{ 0x64493386, "sk_stream_error" },
	{ 0x3d06c21, "sk_msg_recvmsg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x81a96e6a, "sk_msg_memcopy_from_iter" },
	{ 0x1de371dd, "sk_error_report" },
	{ 0xbf924aed, "register_pernet_subsys" },
	{ 0x9e07487b, "put_cmsg" },
	{ 0xada276b2, "__sk_flush_backlog" },
	{ 0xce9939d, "trace_event_buffer_commit" },
	{ 0x64520669, "crypto_destroy_tfm" },
	{ 0x2b6fc8e0, "do_tcp_sendpages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x6bd2d516, "sk_psock_tls_strp_read" },
	{ 0xaa57209f, "sk_msg_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x63aaeef, "trace_event_ignore_this_pid" },
	{ 0xa7367879, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd16168fc, "rt_write_unlock" },
	{ 0xfc5d3f2d, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x2e3da4e1, "tcp_recv_skb" },
	{ 0xc570d924, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5964dfd3, "perf_trace_run_bpf_submit" },
	{ 0xe906823c, "down_write" },
	{ 0xd361253b, "crypto_req_done" },
	{ 0x61520178, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x660c7e77, "crypto_aead_encrypt" },
	{ 0x48876555, "sk_skb_reason_drop" },
	{ 0x20d0bd5f, "__SCK__tp_func_sk_data_ready" },
	{ 0x77182c7b, "bpf_trace_run5" },
	{ 0x847715d5, "sk_free" },
	{ 0xdf0d40fe, "skb_store_bits" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0x4bf56c06, "__sk_mem_reclaim" },
	{ 0x6729739c, "sk_stream_wait_memory" },
	{ 0xf00a075f, "nla_put" },
	{ 0x50d0e443, "trace_event_reg" },
	{ 0x98d7fb29, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5c38c983, "sock_recv_errqueue" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa95beb73, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb09f427, "sk_msg_return_zero" },
	{ 0x4cbb391a, "mutex_lock_interruptible" },
	{ 0xc394d6fc, "skb_copy_datagram_iter" },
	{ 0xdaeacd32, "bpf_trace_run1" },
	{ 0x3965efff, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x3730fcc6, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2bf0ba4d, "sock_efree" },
	{ 0xf4372261, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf046125e, "clean_acked_data_disable" },
	{ 0x4348159a, "__init_waitqueue_head" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xab082e0, "rt_spin_unlock" },
	{ 0xa76cf7da, "sk_msg_free_partial" },
	{ 0xd9b689a9, "down_read" },
	{ 0x7313578e, "skb_trim" },
	{ 0x1e589fa1, "mutex_trylock" },
	{ 0x27253252, "rt_spin_lock" },
	{ 0xaebcd876, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x67348941, "tcp_register_ulp" },
	{ 0xfb258442, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x7da685f, "sk_psock_drop" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x26cd9e39, "skb_page_frag_refill" },
	{ 0x475643f2, "trace_event_buffer_reserve" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x4cfe7cea, "sk_msg_free_nocharge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xc0bda599, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xa352eef5, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xe4b295d6, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xad63cdeb, "seq_printf" },
	{ 0xd5b72ad3, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x2a4976b1, "skb_clone" },
	{ 0x77f9af9b, "dst_release" },
	{ 0x4ddacc97, "rt_write_lock" },
	{ 0x468952f0, "_copy_from_iter" },
	{ 0xc44746e3, "skb_copy_header" },
	{ 0x72e3a567, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xe942afb7, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x5d50d1f9, "netdev_sk_get_lowest_dev" },
	{ 0xa5449eac, "sk_msg_alloc" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0xae115dbb, "_copy_from_iter_nocache" },
	{ 0x73556dd9, "tcp_rate_check_app_limited" },
	{ 0xd81475be, "tcp_poll" },
	{ 0xd90cf0f5, "iov_iter_revert" },
	{ 0x4a87d351, "sk_msg_zerocopy_from_iter" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x904356d9, "skb_to_sgvec" },
	{ 0x856f2b71, "up_read" },
	{ 0xd38ba96, "__mutex_rt_init" },
	{ 0x265f4dc5, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0xe43acf91, "tcp_read_done" },
	{ 0x23f0486f, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7056DAA37D02E0E08BCAB4D");
MODULE_INFO(rhelversion, "9.6");
