#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wm_adsp_fw_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_fw_put, "_gpl", "");
KSYMTAB_DATA(wm_adsp_fw_enum, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_write_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_read_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_set_dspclk, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_put, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_up, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_down, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_early_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_run, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_stop, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_probe, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_init, "_gpl", "");
KSYMTAB_FUNC(wm_halo_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_open, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_free, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_handle_irq, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_copy, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_wdt_expire, "_gpl", "");

SYMBOL_CRC(wm_adsp_fw_get, 0x1dcfc98b, "_gpl");
SYMBOL_CRC(wm_adsp_fw_put, 0xcae0cd31, "_gpl");
SYMBOL_CRC(wm_adsp_fw_enum, 0x894458f3, "_gpl");
SYMBOL_CRC(wm_adsp_write_ctl, 0x03c5b6a8, "_gpl");
SYMBOL_CRC(wm_adsp_read_ctl, 0x5ba2a69b, "_gpl");
SYMBOL_CRC(wm_adsp1_init, 0xd2c98841, "_gpl");
SYMBOL_CRC(wm_adsp1_event, 0x588046e6, "_gpl");
SYMBOL_CRC(wm_adsp2_set_dspclk, 0xb1460303, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_get, 0x34812ff0, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_put, 0xe3ae2b4a, "_gpl");
SYMBOL_CRC(wm_adsp_power_up, 0x7dac48d3, "_gpl");
SYMBOL_CRC(wm_adsp_power_down, 0x388479a1, "_gpl");
SYMBOL_CRC(wm_adsp_early_event, 0x1445e272, "_gpl");
SYMBOL_CRC(wm_adsp_run, 0x99f66386, "_gpl");
SYMBOL_CRC(wm_adsp_stop, 0x2d4b6b58, "_gpl");
SYMBOL_CRC(wm_adsp_event, 0xb8f18be9, "_gpl");
SYMBOL_CRC(wm_adsp2_component_probe, 0x2d7aca60, "_gpl");
SYMBOL_CRC(wm_adsp2_component_remove, 0x303b974d, "_gpl");
SYMBOL_CRC(wm_adsp2_init, 0x101d231a, "_gpl");
SYMBOL_CRC(wm_halo_init, 0xf6a4587b, "_gpl");
SYMBOL_CRC(wm_adsp2_remove, 0x5ed9ef97, "_gpl");
SYMBOL_CRC(wm_adsp_compr_open, 0x0429ad20, "_gpl");
SYMBOL_CRC(wm_adsp_compr_free, 0xc7d74584, "_gpl");
SYMBOL_CRC(wm_adsp_compr_set_params, 0x05a77d7c, "_gpl");
SYMBOL_CRC(wm_adsp_compr_get_caps, 0x05dd087f, "_gpl");
SYMBOL_CRC(wm_adsp_compr_trigger, 0x015d92ef, "_gpl");
SYMBOL_CRC(wm_adsp_compr_handle_irq, 0x72ec719d, "_gpl");
SYMBOL_CRC(wm_adsp_compr_pointer, 0xfa4d26f2, "_gpl");
SYMBOL_CRC(wm_adsp_compr_copy, 0x886333ad, "_gpl");
SYMBOL_CRC(wm_adsp2_bus_error, 0xdd3c79ef, "_gpl");
SYMBOL_CRC(wm_halo_bus_error, 0xea38ee07, "_gpl");
SYMBOL_CRC(wm_halo_wdt_expire, 0x52c16479, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf47da96c, "cs_dsp_coeff_lock_and_read_ctrl" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf92ea14, "snd_soc_component_force_enable_pin" },
	{ 0x50d1540e, "firmware_request_nowarn" },
	{ 0x6f74b390, "cs_dsp_cleanup_debugfs" },
	{ 0xcf7fc287, "cs_dsp_coeff_read_ctrl" },
	{ 0x58c32a2e, "snd_compr_stop_error" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc24ccc1a, "cs_dsp_stop" },
	{ 0x231a5f0b, "cs_dsp_adsp1_power_up" },
	{ 0x3a4ddf60, "cs_dsp_adsp1_power_down" },
	{ 0x96848186, "scnprintf" },
	{ 0x19101c91, "cs_dsp_adsp1_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x65feeab7, "cs_dsp_coeff_write_ctrl" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1130502d, "cs_dsp_init_debugfs" },
	{ 0xed9e23ad, "__wake_up" },
	{ 0x6b455b9f, "cs_dsp_halo_bus_error" },
	{ 0x7113932f, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7cc544c5, "snd_soc_dapm_sync" },
	{ 0x4e5562f8, "cs_dsp_remove_padding" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb15e9b54, "cs_dsp_find_alg_region" },
	{ 0x89d5597f, "cs_dsp_coeff_write_acked_control" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xa8a67342, "cs_dsp_get_ctl" },
	{ 0xf2464832, "_dev_info" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf1b44dc3, "_dev_err" },
	{ 0x3a284d5a, "mutex_lock" },
	{ 0xae1900c4, "cs_dsp_halo_init" },
	{ 0xd7b7d555, "cs_dsp_power_down" },
	{ 0x66a867d9, "cs_dsp_adsp2_init" },
	{ 0x31ade1ae, "snd_soc_add_component_controls" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x6a9d3439, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x144d6986, "cs_dsp_mem_region_name" },
	{ 0x48a6a7d7, "cs_dsp_set_dspclk" },
	{ 0x30383cea, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb865bf17, "cs_dsp_power_up" },
	{ 0x5b80cb03, "cs_dsp_coeff_lock_and_write_ctrl" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x999e8297, "vfree" },
	{ 0xc8ec9b9a, "cs_dsp_run" },
	{ 0x9cc25901, "mutex_unlock" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5765be8e, "cs_dsp_write_data_word" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x7b777d25, "cs_dsp_halo_wdt_expire" },
	{ 0x5c384d03, "snd_soc_component_disable_pin" },
	{ 0xebefeea7, "snd_soc_bytes_tlv_callback" },
	{ 0x3a9f7e18, "cs_dsp_adsp2_bus_error" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x43bc8962, "cs_dsp_read_raw_data_block" },
	{ 0x2e59a1eb, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xc268735e, "cs_dsp_read_data_word" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf44f399a, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd4f9889b, "module_layout" },
};

MODULE_INFO(depends, "cs_dsp,snd-soc-core,snd-compress");


MODULE_INFO(srcversion, "C87B207C80F7841F44FFACF");
MODULE_INFO(rhelversion, "9.6");
